(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     19535,        706]*)
(*NotebookOutlinePosition[     20591,        740]*)
(*  CellTagsIndexPosition[     20547,        736]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[
"5. Lists I:  Definitions and Examples: Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  January 26 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["0: Evaluate this first!"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["First, execute the commands below to define a list named \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\".  ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True],

Cell["\<\
Clear[movieData];
movieData =
{{\"Apocalypse Now\",  4, 7, 3}, 
 {\"The Sting\", 8, 8, 7},
 {\"The Wizard of Oz\", 4, 7, 3},
 {\"Bedtime for Bonzo\", 2, 10, 5 },
 {\"The Last House on the Left\", 0, 0, 0},
 {\"Gone with the Wind\", 8, 8, 8},
 {\"Casablanca\", 10, 10, 10},
 {\"The King of Hearts\", 10, 10, 10},
 {\"My Fair Lady\", 8, 8, 7},
 {\"The Sound of Music\", 5, 7, 5},
 {\"Independence Day\", 8, 7, 7},
 {\"Mighty Ducks I\", 8, 8, 8},
 {\"The Rock\", 6, 7, 5},
 {\"This Island Earth\", 3, 4, 6},
 {\"Ishtar\", 3, 3, 4},
 {\"Grumpy Old Men\", 8, 9, 8},
 {\"The Bridges of Madison County\", 9, 9, 8},
 {\"Tron\", 10, 8, 8},
 {\"Blade Runner\", 10, 9, 9},
 {\"Fearless Hyena\", 2, 2, 4},
 {\"Space Jam\", 3, 6, 7},
 {\"Twister\", 6, 6, 6},
 {\"Phenomenon\", 6, 7, 8},
 {\"Broken Arrow\", 6, 7, 7},
 {\"The Killer\", 4, 4, 8},
 {\"A Better Tomorrow\", 8, 8, 8},
 {\"Judge Dredd\", 7, 5, 6},
 {\"Shane\", 8, 7, 7},
 {\"MST 3K the Movie\", 3, 6, 6},
 {\"Assassins\", 7, 7, 6},
 {\"Renaissance Man\", 4, 6, 4}
};\
\>", "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(Note: the semicolon at the end of the definition for ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" suppresses the display of its value.)\n\nEach entry in ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" is of the form ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["{\"Movie Name\", s, a, d}", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" where \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["s", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\", \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["a", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" and \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["d", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\" are a critic's ratings (on a scale of 0 to 10) for the script, acting, \
and directing, respectively, of the movie.  ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["1: How many movies?"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["Mathematica",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic",
    FontColor->GrayLevel[0]],
  StyleBox[
  " expression which will return the current number of movies represented in \
",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[".   ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["2: Insert a new movie."], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Make up a new entry for ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" and ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["append",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->True}],
  StyleBox[" it to ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[".  (Make sure that an evaluation of ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  " later will include your movie.  In particular, evaluation of your \
expression for the previous question should yield an answer which is 1 more \
than before.) ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["3: Alphabetic display."], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Display \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" in alphabetic order by title.  (Use ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["TableForm[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  " to produce a display with each move entry on its own line and columns \
nicely aligned.)",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["4: Define ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["summaryRating[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summaryRating[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" of a single parameter, a movie entry \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["m", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\", which returns the average of the script, acting and directing ratings \
for \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["m", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\".  Check your function by evaluating \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summaryRating[{\"Apocalypse Now\", 4, 7, 3}]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\"   \nThis should produce the answer ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["4.66667", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
summaryRating[{\"Apocalypse Now\", 4, 7, 3}]\
\>", 
"\<\
summaryRating[{Apocalypse Now, 4, 7, 3}]\
\>"], "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["5: Define ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["includeSummary[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["includeSummary[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" of a single parameter, a movie entry \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["m", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\", which returns the list \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["m", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" with its ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summaryRating", "Input",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" inserted in front.  Check your function by evaluating \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["includeSummary[{\"Apocalypse Now\", 4, 7, 3}]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\"   \nThis should produce the answer ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["{", "Input",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["4.66667, \"Apocalypse Now\", 4, 7, 3}", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True],

Cell[TextData["includeSummary[{\"Apocalypse Now\", 4, 7, 3}]"], "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["6: Include summaries in table of movies."], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["movieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" to define a new list \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summarizedMovieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\".  An entry in \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summarizedMovieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" is of the form ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["{r, \"Movie Name\", s, a, d}", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" where \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["r", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" is the average of \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["s", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\", \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["a", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" and \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["d", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\".   (The ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["Map[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" funciton should be helpful here.)",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["7: Display from best-to-worst."], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Display \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summarizedMovieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\" in order by summarized rating, with the movie rating highest appearing \
first.  (Use ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["TableForm[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[" to produce a nice display.)",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["8: More compact display from best-to-worst."], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["first2[]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" of a single parameter, a list \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["ls", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\", which returns the list consisting of the first two entries in \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["ls", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\".  Check your function by evaluating \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["first2[{4.66667, \"Apocalypse Now\", 4, 7, 3}]", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["\" .  \nThis should produce the answer  ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["{4.66667, \"Apocalypse Now\"}", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True],

Cell[TextData["first2[{4.66667, \"Apocalypse Now\", 4, 7, 3}]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Display the summary ratings and movie names (but not the \
script/acting/directing numbers) found in \"",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox["summarizedMovieData", "Input",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\" in order by summarized rating, with the movie rating highest appearing \
first.  ",
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontColor->GrayLevel[0]]
}], "Text",
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->"EditBar",
WindowSize->{520, 509},
WindowMargins->{{52, Automatic}, {Automatic, 16}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 123, 3, 136, "Title",
  Evaluatable->False],
Cell[1857, 56, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1982, 62, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2163, 70, 103, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2269, 74, 469, 16, 30, "Text"],
Cell[2741, 92, 1065, 36, 522, "Input"],
Cell[3809, 130, 1865, 63, 112, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5711, 198, 99, 2, 30, "Subsection",
  Evaluatable->False],
Cell[5813, 202, 787, 29, 49, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[6637, 236, 102, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6742, 240, 1421, 48, 64, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8200, 293, 102, 2, 30, "Subsection",
  Evaluatable->False],
Cell[8305, 297, 796, 27, 47, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[9138, 329, 336, 13, 30, "Subsection",
  Evaluatable->False],
Cell[9477, 344, 1496, 49, 82, "Text"],
Cell[10976, 395, 164, 6, 25, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[11177, 406, 337, 13, 30, "Subsection",
  Evaluatable->False],
Cell[11517, 421, 1901, 62, 82, "Text"],
Cell[13421, 485, 98, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[13556, 491, 120, 2, 30, "Subsection",
  Evaluatable->False],
Cell[13679, 495, 2490, 88, 65, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[16206, 588, 110, 2, 30, "Subsection",
  Evaluatable->False],
Cell[16319, 592, 795, 27, 48, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[17151, 624, 123, 2, 30, "Subsection",
  Evaluatable->False],
Cell[17277, 628, 1496, 48, 82, "Text"],
Cell[18776, 678, 99, 1, 27, "Input"],
Cell[18878, 681, 617, 20, 63, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

