(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     77613,       2576]*)
(*NotebookOutlinePosition[     78699,       2611]*)
(*  CellTagsIndexPosition[     78655,       2607]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["6. Lists II:  Iterators and List Handlers: Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  January 26 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Author: YourNameGoesHere", "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[TextData[{
  StyleBox[
  "The exercises below ask you to use certain functions which we have not \
covered.  Never fear!  Use the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["?",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" command to ask ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" how to use a named function.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["First, execute the commands below to create a list named \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["oddNumbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" of the first 10 positive odd integers using ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Table[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["Clear[i]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["oddNumbers = Table[i,{i,1,19,2}]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a) Create this list using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Range[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) Obtain the first four elements of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["oddNumbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Take[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(c) Obtain the first four elements of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["oddNumbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Drop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(d) Obtain the last four elements of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["oddNumbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Take[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(e) Obtain the last four elements of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["oddNumbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Drop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["2", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use the examples below to explain the difference between \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Length[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Dimensions[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Experiment with other lists of lists if necessary.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Length[{{1,2,3},{4,5,7}}]", "Input",
  AspectRatioFixed->True],

Cell["Dimensions[{{1,2,3},{4,5,7}}]", "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["3", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Map[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Length[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to compute the length of each sublist of the list \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["mixedLength",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Your answer should be the list ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{1,2,4,3,1}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["mixedLength={{1},{2,2},{1,2,3,4},{3,4,5},{2}}", "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["4", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Table[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Random[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to create two lists \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listOne",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listTwo",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" each containg ten random integers between 1 and 100.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a)  Sort the elements in \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listOne",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b)  Append a 5 to the end of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listTwo",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "(c)  Using \"Intersection[]\", find which numbers are in both \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listOne",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listTwo",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(d)  Join the two lists together with \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Join[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
(e)  Make a list of the numbers that appear in either list.  (Don't \
include duplicates.)\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(f)  List the elements in \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["listOne",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" that are not in \"listTwo\".  (Hint:  use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Complement[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["5  ", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["PrimeQ[n]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" returns true if \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["n",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" is prime and false otherwise.  Use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Select[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Table[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["PrimeQ[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to produce a list of all primes from 1 to 100.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["6 ", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "A two-dimensional random walk on a square lattice is sometimes called a \
Drunkard's Walk, and it is produced as follows.   Starting from the origin \
take a random step either left, right, up or down.  Continuing this random \
behavior for 900 steps produced the path shown below.    Each step can be in \
one of four directions: ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{1,0}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", meaning right; ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{0,1}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", meaning up;  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{-1,0}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", meaning left; or ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{0,-1}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", meaning down.  Starting with the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["dirList",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" create a list of 10 random steps in a walk.    Hint:  Step 1--Decide \
how to get a random element from \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["dirList",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Step 2--Generate a table of 10 of these random elements.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.940917 0.0352734 0.0427438 0.0280288 [
[(-25)] .05908 .04274 0 2 Msboxa
[(-20)] .23545 .04274 0 2 Msboxa
[(-15)] .41182 .04274 0 2 Msboxa
[(-10)] .58818 .04274 0 2 Msboxa
[(-5)] .76455 .04274 0 2 Msboxa
[(5)] .92842 .18289 1 0 Msboxa
[(10)] .92842 .32303 1 0 Msboxa
[(15)] .92842 .46318 1 0 Msboxa
[(20)] .92842 .60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 .61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
p
.002 w
.05908 .04274 m
.05908 .04899 L
s
P
[(-25)] .05908 .04274 0 2 Mshowa
p
.002 w
.23545 .04274 m
.23545 .04899 L
s
P
[(-20)] .23545 .04274 0 2 Mshowa
p
.002 w
.41182 .04274 m
.41182 .04899 L
s
P
[(-15)] .41182 .04274 0 2 Mshowa
p
.002 w
.58818 .04274 m
.58818 .04899 L
s
P
[(-10)] .58818 .04274 0 2 Mshowa
p
.002 w
.76455 .04274 m
.76455 .04899 L
s
P
[(-5)] .76455 .04274 0 2 Mshowa
p
.001 w
.09436 .04274 m
.09436 .04649 L
s
P
p
.001 w
.12963 .04274 m
.12963 .04649 L
s
P
p
.001 w
.1649 .04274 m
.1649 .04649 L
s
P
p
.001 w
.20018 .04274 m
.20018 .04649 L
s
P
p
.001 w
.27072 .04274 m
.27072 .04649 L
s
P
p
.001 w
.306 .04274 m
.306 .04649 L
s
P
p
.001 w
.34127 .04274 m
.34127 .04649 L
s
P
p
.001 w
.37654 .04274 m
.37654 .04649 L
s
P
p
.001 w
.44709 .04274 m
.44709 .04649 L
s
P
p
.001 w
.48236 .04274 m
.48236 .04649 L
s
P
p
.001 w
.51764 .04274 m
.51764 .04649 L
s
P
p
.001 w
.55291 .04274 m
.55291 .04649 L
s
P
p
.001 w
.62346 .04274 m
.62346 .04649 L
s
P
p
.001 w
.65873 .04274 m
.65873 .04649 L
s
P
p
.001 w
.694 .04274 m
.694 .04649 L
s
P
p
.001 w
.72928 .04274 m
.72928 .04649 L
s
P
p
.001 w
.79982 .04274 m
.79982 .04649 L
s
P
p
.001 w
.8351 .04274 m
.8351 .04649 L
s
P
p
.001 w
.87037 .04274 m
.87037 .04649 L
s
P
p
.001 w
.90564 .04274 m
.90564 .04649 L
s
P
p
.001 w
.02381 .04274 m
.02381 .04649 L
s
P
p
.001 w
.97619 .04274 m
.97619 .04649 L
s
P
p
.002 w
0 .04274 m
1 .04274 L
s
P
p
.002 w
.94092 .18289 m
.94717 .18289 L
s
P
[(5)] .92842 .18289 1 0 Mshowa
p
.002 w
.94092 .32303 m
.94717 .32303 L
s
P
[(10)] .92842 .32303 1 0 Mshowa
p
.002 w
.94092 .46318 m
.94717 .46318 L
s
P
[(15)] .92842 .46318 1 0 Mshowa
p
.002 w
.94092 .60332 m
.94717 .60332 L
s
P
[(20)] .92842 .60332 1 0 Mshowa
p
.001 w
.94092 .07077 m
.94467 .07077 L
s
P
p
.001 w
.94092 .0988 m
.94467 .0988 L
s
P
p
.001 w
.94092 .12683 m
.94467 .12683 L
s
P
p
.001 w
.94092 .15486 m
.94467 .15486 L
s
P
p
.001 w
.94092 .21092 m
.94467 .21092 L
s
P
p
.001 w
.94092 .23895 m
.94467 .23895 L
s
P
p
.001 w
.94092 .26697 m
.94467 .26697 L
s
P
p
.001 w
.94092 .295 m
.94467 .295 L
s
P
p
.001 w
.94092 .35106 m
.94467 .35106 L
s
P
p
.001 w
.94092 .37909 m
.94467 .37909 L
s
P
p
.001 w
.94092 .40712 m
.94467 .40712 L
s
P
p
.001 w
.94092 .43515 m
.94467 .43515 L
s
P
p
.001 w
.94092 .4912 m
.94467 .4912 L
s
P
p
.001 w
.94092 .51923 m
.94467 .51923 L
s
P
p
.001 w
.94092 .54726 m
.94467 .54726 L
s
P
p
.001 w
.94092 .57529 m
.94467 .57529 L
s
P
p
.001 w
.94092 .01472 m
.94467 .01472 L
s
P
p
.002 w
.94092 0 m
.94092 .61803 L
s
P
P
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.004 w
.94092 .04274 m
.90564 .04274 L
.90564 .01472 L
.90564 .04274 L
.90564 .07077 L
.87037 .07077 L
.87037 .04274 L
.87037 .07077 L
.87037 .0988 L
.8351 .0988 L
.8351 .12683 L
.8351 .15486 L
.87037 .15486 L
.8351 .15486 L
.8351 .12683 L
.8351 .15486 L
.8351 .18289 L
.8351 .15486 L
.8351 .18289 L
.8351 .21092 L
.79982 .21092 L
.76455 .21092 L
.76455 .18289 L
.79982 .18289 L
.79982 .21092 L
.79982 .23895 L
.79982 .26697 L
.8351 .26697 L
.79982 .26697 L
.76455 .26697 L
.72928 .26697 L
.72928 .295 L
.72928 .32303 L
.72928 .35106 L
.72928 .37909 L
.694 .37909 L
.694 .40712 L
.694 .43515 L
.694 .46318 L
.72928 .46318 L
.72928 .43515 L
.72928 .46318 L
.694 .46318 L
.72928 .46318 L
.694 .46318 L
.65873 .46318 L
.694 .46318 L
.72928 .46318 L
.694 .46318 L
.694 .4912 L
Mistroke
.65873 .4912 L
.62346 .4912 L
.62346 .51923 L
.65873 .51923 L
.65873 .4912 L
.65873 .46318 L
.62346 .46318 L
.65873 .46318 L
.694 .46318 L
.65873 .46318 L
.65873 .43515 L
.62346 .43515 L
.65873 .43515 L
.65873 .40712 L
.694 .40712 L
.72928 .40712 L
.694 .40712 L
.72928 .40712 L
.72928 .37909 L
.72928 .40712 L
.72928 .37909 L
.694 .37909 L
.72928 .37909 L
.72928 .35106 L
.72928 .37909 L
.76455 .37909 L
.79982 .37909 L
.79982 .35106 L
.79982 .32303 L
.79982 .295 L
.8351 .295 L
.79982 .295 L
.79982 .32303 L
.79982 .35106 L
.79982 .32303 L
.79982 .35106 L
.79982 .37909 L
.79982 .40712 L
.8351 .40712 L
.79982 .40712 L
.79982 .43515 L
.79982 .40712 L
.79982 .43515 L
.8351 .43515 L
.8351 .46318 L
.8351 .43515 L
.8351 .40712 L
.79982 .40712 L
.79982 .43515 L
.76455 .43515 L
Mistroke
.76455 .46318 L
.76455 .43515 L
.76455 .46318 L
.76455 .43515 L
.76455 .40712 L
.76455 .37909 L
.76455 .40712 L
.76455 .37909 L
.79982 .37909 L
.79982 .35106 L
.79982 .37909 L
.8351 .37909 L
.79982 .37909 L
.79982 .35106 L
.79982 .37909 L
.79982 .35106 L
.76455 .35106 L
.76455 .37909 L
.76455 .40712 L
.76455 .37909 L
.76455 .40712 L
.76455 .43515 L
.79982 .43515 L
.8351 .43515 L
.79982 .43515 L
.79982 .40712 L
.76455 .40712 L
.76455 .37909 L
.76455 .40712 L
.72928 .40712 L
.694 .40712 L
.694 .43515 L
.694 .40712 L
.694 .43515 L
.694 .46318 L
.694 .4912 L
.72928 .4912 L
.76455 .4912 L
.72928 .4912 L
.694 .4912 L
.72928 .4912 L
.76455 .4912 L
.76455 .51923 L
.76455 .4912 L
.76455 .51923 L
.79982 .51923 L
.8351 .51923 L
.79982 .51923 L
.76455 .51923 L
.79982 .51923 L
Mistroke
.8351 .51923 L
.87037 .51923 L
.90564 .51923 L
.90564 .54726 L
.90564 .51923 L
.87037 .51923 L
.90564 .51923 L
.94092 .51923 L
.94092 .4912 L
.94092 .46318 L
.90564 .46318 L
.87037 .46318 L
.87037 .43515 L
.90564 .43515 L
.87037 .43515 L
.87037 .40712 L
.87037 .43515 L
.87037 .40712 L
.8351 .40712 L
.8351 .43515 L
.79982 .43515 L
.8351 .43515 L
.87037 .43515 L
.87037 .46318 L
.87037 .4912 L
.90564 .4912 L
.87037 .4912 L
.8351 .4912 L
.87037 .4912 L
.87037 .51923 L
.8351 .51923 L
.8351 .54726 L
.79982 .54726 L
.79982 .51923 L
.79982 .54726 L
.79982 .51923 L
.79982 .4912 L
.79982 .46318 L
.79982 .43515 L
.79982 .46318 L
.79982 .4912 L
.79982 .46318 L
.76455 .46318 L
.79982 .46318 L
.79982 .43515 L
.79982 .40712 L
.79982 .43515 L
.79982 .40712 L
.79982 .37909 L
.79982 .35106 L
Mistroke
.76455 .35106 L
.76455 .32303 L
.72928 .32303 L
.72928 .295 L
.72928 .32303 L
.72928 .35106 L
.72928 .37909 L
.72928 .35106 L
.72928 .32303 L
.72928 .295 L
.72928 .26697 L
.72928 .23895 L
.694 .23895 L
.694 .21092 L
.72928 .21092 L
.72928 .23895 L
.694 .23895 L
.694 .26697 L
.72928 .26697 L
.76455 .26697 L
.79982 .26697 L
.79982 .23895 L
.79982 .26697 L
.79982 .295 L
.79982 .32303 L
.79982 .295 L
.79982 .26697 L
.76455 .26697 L
.72928 .26697 L
.72928 .23895 L
.72928 .21092 L
.72928 .23895 L
.76455 .23895 L
.76455 .21092 L
.76455 .23895 L
.76455 .21092 L
.76455 .23895 L
.79982 .23895 L
.79982 .21092 L
.76455 .21092 L
.72928 .21092 L
.72928 .18289 L
.72928 .15486 L
.694 .15486 L
.65873 .15486 L
.62346 .15486 L
.58818 .15486 L
.55291 .15486 L
.51764 .15486 L
.55291 .15486 L
Mistroke
.58818 .15486 L
.58818 .18289 L
.58818 .15486 L
.58818 .12683 L
.58818 .15486 L
.58818 .18289 L
.62346 .18289 L
.58818 .18289 L
.55291 .18289 L
.55291 .15486 L
.58818 .15486 L
.62346 .15486 L
.62346 .12683 L
.58818 .12683 L
.58818 .15486 L
.55291 .15486 L
.55291 .18289 L
.58818 .18289 L
.55291 .18289 L
.55291 .21092 L
.58818 .21092 L
.55291 .21092 L
.55291 .23895 L
.55291 .21092 L
.51764 .21092 L
.51764 .23895 L
.55291 .23895 L
.55291 .26697 L
.55291 .295 L
.55291 .26697 L
.55291 .23895 L
.55291 .26697 L
.51764 .26697 L
.51764 .23895 L
.51764 .26697 L
.48236 .26697 L
.48236 .23895 L
.48236 .21092 L
.44709 .21092 L
.44709 .23895 L
.44709 .21092 L
.48236 .21092 L
.48236 .23895 L
.44709 .23895 L
.41182 .23895 L
.44709 .23895 L
.44709 .21092 L
.44709 .23895 L
.48236 .23895 L
.48236 .21092 L
Mistroke
.48236 .23895 L
.48236 .21092 L
.48236 .23895 L
.48236 .21092 L
.48236 .18289 L
.48236 .15486 L
.48236 .18289 L
.51764 .18289 L
.51764 .15486 L
.55291 .15486 L
.58818 .15486 L
.62346 .15486 L
.62346 .18289 L
.62346 .15486 L
.65873 .15486 L
.65873 .18289 L
.65873 .15486 L
.65873 .18289 L
.65873 .15486 L
.694 .15486 L
.694 .12683 L
.694 .15486 L
.72928 .15486 L
.72928 .18289 L
.72928 .15486 L
.694 .15486 L
.694 .12683 L
.72928 .12683 L
.694 .12683 L
.694 .15486 L
.72928 .15486 L
.694 .15486 L
.694 .12683 L
.694 .15486 L
.65873 .15486 L
.694 .15486 L
.694 .18289 L
.65873 .18289 L
.694 .18289 L
.694 .21092 L
.65873 .21092 L
.62346 .21092 L
.62346 .23895 L
.65873 .23895 L
.65873 .26697 L
.62346 .26697 L
.62346 .23895 L
.58818 .23895 L
.58818 .26697 L
.58818 .23895 L
Mistroke
.55291 .23895 L
.55291 .21092 L
.55291 .23895 L
.51764 .23895 L
.55291 .23895 L
.55291 .21092 L
.58818 .21092 L
.58818 .23895 L
.55291 .23895 L
.55291 .21092 L
.55291 .23895 L
.55291 .21092 L
.51764 .21092 L
.55291 .21092 L
.55291 .18289 L
.55291 .21092 L
.55291 .18289 L
.55291 .15486 L
.58818 .15486 L
.55291 .15486 L
.55291 .18289 L
.51764 .18289 L
.51764 .21092 L
.51764 .23895 L
.48236 .23895 L
.51764 .23895 L
.48236 .23895 L
.48236 .26697 L
.44709 .26697 L
.44709 .295 L
.44709 .32303 L
.48236 .32303 L
.51764 .32303 L
.51764 .35106 L
.51764 .32303 L
.51764 .295 L
.55291 .295 L
.58818 .295 L
.58818 .26697 L
.55291 .26697 L
.55291 .23895 L
.58818 .23895 L
.58818 .21092 L
.58818 .23895 L
.58818 .21092 L
.58818 .23895 L
.58818 .21092 L
.58818 .23895 L
.58818 .21092 L
.62346 .21092 L
Mistroke
.65873 .21092 L
.62346 .21092 L
.62346 .18289 L
.65873 .18289 L
.694 .18289 L
.65873 .18289 L
.65873 .21092 L
.62346 .21092 L
.58818 .21092 L
.55291 .21092 L
.55291 .18289 L
.58818 .18289 L
.55291 .18289 L
.51764 .18289 L
.51764 .21092 L
.51764 .18289 L
.51764 .21092 L
.51764 .23895 L
.51764 .21092 L
.51764 .18289 L
.51764 .15486 L
.51764 .12683 L
.55291 .12683 L
.51764 .12683 L
.51764 .15486 L
.48236 .15486 L
.44709 .15486 L
.41182 .15486 L
.44709 .15486 L
.41182 .15486 L
.41182 .18289 L
.41182 .15486 L
.37654 .15486 L
.37654 .12683 L
.37654 .15486 L
.41182 .15486 L
.37654 .15486 L
.37654 .12683 L
.34127 .12683 L
.34127 .0988 L
.34127 .12683 L
.306 .12683 L
.27072 .12683 L
.306 .12683 L
.306 .0988 L
.34127 .0988 L
.37654 .0988 L
.37654 .12683 L
.34127 .12683 L
.37654 .12683 L
Mistroke
.34127 .12683 L
.306 .12683 L
.306 .0988 L
.34127 .0988 L
.34127 .07077 L
.34127 .0988 L
.37654 .0988 L
.41182 .0988 L
.41182 .12683 L
.41182 .0988 L
.44709 .0988 L
.44709 .07077 L
.44709 .0988 L
.41182 .0988 L
.41182 .12683 L
.41182 .15486 L
.44709 .15486 L
.44709 .12683 L
.41182 .12683 L
.41182 .0988 L
.41182 .07077 L
.37654 .07077 L
.34127 .07077 L
.34127 .04274 L
.34127 .01472 L
.34127 .04274 L
.34127 .07077 L
.34127 .04274 L
.306 .04274 L
.306 .01472 L
.34127 .01472 L
.37654 .01472 L
.34127 .01472 L
.306 .01472 L
.306 .04274 L
.34127 .04274 L
.37654 .04274 L
.37654 .01472 L
.37654 .04274 L
.37654 .07077 L
.41182 .07077 L
.37654 .07077 L
.34127 .07077 L
.34127 .0988 L
.34127 .12683 L
.37654 .12683 L
.37654 .0988 L
.37654 .07077 L
.37654 .0988 L
.37654 .12683 L
Mistroke
.34127 .12683 L
.306 .12683 L
.27072 .12683 L
.23545 .12683 L
.20018 .12683 L
.23545 .12683 L
.23545 .15486 L
.23545 .12683 L
.23545 .0988 L
.23545 .07077 L
.20018 .07077 L
.20018 .04274 L
.1649 .04274 L
.12963 .04274 L
.12963 .07077 L
.12963 .04274 L
.09436 .04274 L
.12963 .04274 L
.12963 .07077 L
.09436 .07077 L
.05908 .07077 L
.05908 .0988 L
.05908 .12683 L
.09436 .12683 L
.05908 .12683 L
.05908 .15486 L
.09436 .15486 L
.09436 .18289 L
.05908 .18289 L
.05908 .15486 L
.09436 .15486 L
.09436 .18289 L
.09436 .21092 L
.05908 .21092 L
.09436 .21092 L
.12963 .21092 L
.1649 .21092 L
.12963 .21092 L
.12963 .23895 L
.1649 .23895 L
.20018 .23895 L
.20018 .21092 L
.1649 .21092 L
.12963 .21092 L
.12963 .23895 L
.12963 .21092 L
.09436 .21092 L
.05908 .21092 L
.09436 .21092 L
.05908 .21092 L
Mistroke
.05908 .23895 L
.02381 .23895 L
.02381 .26697 L
.05908 .26697 L
.02381 .26697 L
.02381 .23895 L
.02381 .26697 L
.02381 .23895 L
.05908 .23895 L
.05908 .21092 L
.09436 .21092 L
.12963 .21092 L
.12963 .18289 L
.1649 .18289 L
.20018 .18289 L
.20018 .15486 L
.23545 .15486 L
.23545 .12683 L
.23545 .0988 L
.27072 .0988 L
.306 .0988 L
.34127 .0988 L
.34127 .12683 L
.306 .12683 L
.27072 .12683 L
.306 .12683 L
.306 .15486 L
.306 .18289 L
.306 .21092 L
.306 .23895 L
.306 .26697 L
.306 .295 L
.306 .26697 L
.27072 .26697 L
.23545 .26697 L
.23545 .295 L
.20018 .295 L
.23545 .295 L
.23545 .32303 L
.23545 .35106 L
.27072 .35106 L
.27072 .32303 L
.23545 .32303 L
.27072 .32303 L
.27072 .35106 L
.306 .35106 L
.306 .37909 L
.34127 .37909 L
.34127 .40712 L
.37654 .40712 L
Mistroke
.34127 .40712 L
.306 .40712 L
.306 .37909 L
.27072 .37909 L
.306 .37909 L
.27072 .37909 L
.27072 .40712 L
.27072 .37909 L
.306 .37909 L
.306 .40712 L
.27072 .40712 L
.23545 .40712 L
.27072 .40712 L
.306 .40712 L
.306 .43515 L
.34127 .43515 L
.34127 .46318 L
.37654 .46318 L
.34127 .46318 L
.37654 .46318 L
.37654 .43515 L
.41182 .43515 L
.37654 .43515 L
.37654 .46318 L
.37654 .43515 L
.41182 .43515 L
.37654 .43515 L
.41182 .43515 L
.41182 .46318 L
.37654 .46318 L
.41182 .46318 L
.37654 .46318 L
.34127 .46318 L
.37654 .46318 L
.37654 .4912 L
.37654 .51923 L
.37654 .4912 L
.37654 .46318 L
.41182 .46318 L
.44709 .46318 L
.48236 .46318 L
.44709 .46318 L
.44709 .4912 L
.48236 .4912 L
.51764 .4912 L
.51764 .51923 L
.51764 .54726 L
.51764 .51923 L
.51764 .4912 L
.51764 .46318 L
Mistroke
.48236 .46318 L
.48236 .43515 L
.48236 .46318 L
.48236 .43515 L
.48236 .46318 L
.48236 .43515 L
.44709 .43515 L
.41182 .43515 L
.44709 .43515 L
.44709 .46318 L
.44709 .4912 L
.44709 .46318 L
.44709 .43515 L
.44709 .46318 L
.44709 .4912 L
.44709 .51923 L
.44709 .4912 L
.44709 .51923 L
.44709 .54726 L
.44709 .57529 L
.48236 .57529 L
.48236 .54726 L
.51764 .54726 L
.55291 .54726 L
.55291 .51923 L
.51764 .51923 L
.51764 .54726 L
.51764 .57529 L
.51764 .60332 L
.51764 .57529 L
.55291 .57529 L
.51764 .57529 L
.48236 .57529 L
.44709 .57529 L
.48236 .57529 L
.48236 .54726 L
.51764 .54726 L
.48236 .54726 L
.48236 .57529 L
.51764 .57529 L
.51764 .54726 L
.48236 .54726 L
.51764 .54726 L
.51764 .51923 L
.55291 .51923 L
.55291 .4912 L
.58818 .4912 L
.62346 .4912 L
.58818 .4912 L
.55291 .4912 L
Mistroke
.55291 .51923 L
.58818 .51923 L
.58818 .4912 L
.58818 .46318 L
.62346 .46318 L
.62346 .4912 L
.65873 .4912 L
.65873 .51923 L
.65873 .54726 L
.65873 .51923 L
.65873 .4912 L
.65873 .51923 L
.65873 .54726 L
.65873 .57529 L
.62346 .57529 L
.62346 .60332 L
.58818 .60332 L
.58818 .57529 L
.58818 .54726 L
.62346 .54726 L
.62346 .57529 L
.62346 .54726 L
.62346 .51923 L
.62346 .54726 L
.65873 .54726 L
.65873 .51923 L
.694 .51923 L
.694 .4912 L
.65873 .4912 L
.65873 .51923 L
.65873 .54726 L
.694 .54726 L
.72928 .54726 L
.76455 .54726 L
.76455 .51923 L
.79982 .51923 L
.76455 .51923 L
.72928 .51923 L
.694 .51923 L
.694 .4912 L
.65873 .4912 L
.62346 .4912 L
.58818 .4912 L
.62346 .4912 L
.62346 .46318 L
.65873 .46318 L
.62346 .46318 L
.62346 .43515 L
.65873 .43515 L
.65873 .40712 L
Mistroke
.62346 .40712 L
.65873 .40712 L
.65873 .43515 L
.62346 .43515 L
.58818 .43515 L
.58818 .40712 L
.62346 .40712 L
.58818 .40712 L
.62346 .40712 L
.58818 .40712 L
.58818 .43515 L
.62346 .43515 L
.62346 .46318 L
.62346 .43515 L
.65873 .43515 L
.65873 .40712 L
.694 .40712 L
.694 .43515 L
.694 .40712 L
.65873 .40712 L
.65873 .43515 L
.65873 .40712 L
.65873 .43515 L
.65873 .40712 L
.62346 .40712 L
.65873 .40712 L
.694 .40712 L
.694 .37909 L
.65873 .37909 L
.694 .37909 L
.694 .40712 L
.72928 .40712 L
.76455 .40712 L
.76455 .43515 L
.72928 .43515 L
.694 .43515 L
.694 .40712 L
.694 .37909 L
.72928 .37909 L
.76455 .37909 L
.79982 .37909 L
.8351 .37909 L
.8351 .35106 L
.8351 .32303 L
.8351 .35106 L
.8351 .32303 L
.79982 .32303 L
.8351 .32303 L
.8351 .35106 L
.79982 .35106 L
Mistroke
.76455 .35106 L
.76455 .32303 L
.76455 .35106 L
.76455 .32303 L
.76455 .35106 L
.76455 .32303 L
.76455 .295 L
.76455 .32303 L
.72928 .32303 L
.76455 .32303 L
.76455 .35106 L
.72928 .35106 L
.72928 .32303 L
.694 .32303 L
.694 .295 L
.694 .26697 L
.65873 .26697 L
.694 .26697 L
.694 .295 L
.65873 .295 L
.694 .295 L
.65873 .295 L
.65873 .32303 L
.694 .32303 L
.65873 .32303 L
.694 .32303 L
.694 .35106 L
.694 .37909 L
.694 .40712 L
.72928 .40712 L
.72928 .43515 L
.72928 .40712 L
.76455 .40712 L
.76455 .43515 L
.76455 .46318 L
.76455 .43515 L
.76455 .40712 L
.79982 .40712 L
.8351 .40712 L
.87037 .40712 L
.87037 .37909 L
.87037 .40712 L
.90564 .40712 L
.94092 .40712 L
.94092 .37909 L
.97619 .37909 L
.94092 .37909 L
.94092 .35106 L
.90564 .35106 L
.87037 .35106 L
Mistroke
.87037 .37909 L
.8351 .37909 L
.8351 .35106 L
.79982 .35106 L
.76455 .35106 L
.76455 .32303 L
.79982 .32303 L
.8351 .32303 L
.79982 .32303 L
.8351 .32303 L
.79982 .32303 L
.79982 .35106 L
.76455 .35106 L
.72928 .35106 L
.694 .35106 L
.72928 .35106 L
.72928 .32303 L
.72928 .295 L
.694 .295 L
.65873 .295 L
.62346 .295 L
.62346 .32303 L
.65873 .32303 L
.62346 .32303 L
.62346 .295 L
.58818 .295 L
.62346 .295 L
.62346 .26697 L
.65873 .26697 L
.694 .26697 L
.694 .23895 L
.694 .21092 L
.694 .23895 L
.694 .26697 L
.694 .295 L
.72928 .295 L
.72928 .26697 L
.694 .26697 L
.694 .295 L
.72928 .295 L
.72928 .26697 L
.72928 .23895 L
.72928 .21092 L
.76455 .21092 L
.76455 .18289 L
.72928 .18289 L
.72928 .15486 L
.72928 .18289 L
.72928 .15486 L
.694 .15486 L
Mistroke
.694 .18289 L
Mfstroke
% End of Graphics
MathPictureEnd\
\>"], "Graphics",
  Evaluatable->False,
  AspectRatioFixed->True,
  ImageSize->{400, 247},
  ImageMargins->{{0, Inherited}, {Inherited, Inherited}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006@0000ma000`40O003h00OogooTGoo003oOomg
Ool00`00Oomoo`0GOol00?moogMoo`03001oogoo01Moo`00ogooMgoo00<007ooOol05goo003oOomg
Ool00`00Oomoo`0GOol00?moogMoo`03001oogoo01Moo`005Woo10000Woo0`00?Goo10000goo0P00
?Goo0`000goo0`00?Goo0`0017oo0P00@7oo0`00@Woo00<007ooOol05goo000GOol00`00Oomoo`05
Ool00`00Oomoo`0kOol00`00Oomoo`02Ool01000Oomoo`0057oo7@0037oo00<007ooOol01Goo00<0
07ooOol0>goo00<007ooOol00Woo00@007ooOol0049oo`03001oogoo035oo`03001oogoo00]oo`80
01Qoo`0047oo1@000goo00<007ooOol017oo00<007ooOol0=7oo1@000goo00D007ooOomoo`00009o
o`03001oogoo019oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00=oo`D0009oo`03001o
ogoo00Eoo`03001oogoo03Aoo`D0009oo`03001oogoo009oo`04001oogoo000iOol50004Ool00`00
Oomoo`0aOol00`00Oomoo`0;Ool00`00Oomoo`0GOol001Uoo`03001oogoo00<0041oo`04001oogoo
0002Ool00`00Oomoo`0BOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomo
o`02Ool3000nOol00`00Oomoo`02Ool01000Oomoo`00?goo0`00=7oo00<007ooOol02goo00<007oo
Ool05goo000FOol01000Oomoo`000Woo00<007ooOol0?Goo00@007ooOol0009oo`04001oogoo000D
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`00Oomoo`02Ool00`00Oomoo`0n
Ool00`00Oomoo`02Ool01000Oomoo`00?goo00<007ooOol0=7oo00<007ooOol02goo00<007ooOol0
5goo000GOol20003Ool4000mOol20004Ool2000EOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`09Ool20004Ool4000lOol20005Ool20010Ool4000cOol00`00Oomoo`0;Ool00`00Oomoo`0G
Ool007Yoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo0<moo`03001oogoo00]oo`03001o
ogoo01Moo`00NWoo00<007ooOol02goo00<007ooOol02goo00<007ooOol0cgoo00<007ooOol02goo
00<007ooOol05goo001jOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`3?Ool00`00Oomo
o`0;Ool00`00Oomoo`0GOol007Yoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo0<moo`03
001oogoo00]oo`03001oogoo01Moo`00NWoo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
cgoo00<007ooOol02goo00<007ooOol05goo001jOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`3?Ool00`00Oomoo`0;Ool00`00Oomoo`0GOol00003Ool000000?l008`0009oo`002Woo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02Goo000HOol00`00Oomoo`0IOol00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`13
Ool00`00Oomoo`13Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0G
Ool003Aoo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo00]oo`03001oogoo0<5oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo01Moo`00=7oo00<007ooOol06Goo00<007ooOol0=Goo
00<007ooOol02goo00<007ooOol0`Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol05goo
000dOol00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00Oomoo`31Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0GOol003Aoo`03001oogoo01Uoo`03001oogoo03Eoo`03
001oogoo00]oo`03001oogoo0<5oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Moo`00
=7oo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol02goo00<007ooOol0`Goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol05goo000dOol00`00Oomoo`0IOol00`00Oomoo`0eOol00`00
Oomoo`0;Ool00`00Oomoo`31Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0GOol003Ao
o`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo00]oo`03001oogoo0<5oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo01Moo`00=7oo00<007ooOol06Goo00<007ooOol0=Goo00<007oo
Ool02goo00<007ooOol0`Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol05goo000HOolM
000KOol?000YOolM000=Ool00`00Oomoo`2UOol?000=Ool2000HOol001Qoo`03001oogoo04=oo`03
001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo0:Eoo`03
001oogoo01Uoo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol09goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol06Goo00<007ooOol0
5goo000HOol00`00Oomoo`13Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0IOol00`00Oomoo`0GOol001Qoo`03001oogoo04=o
o`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo0:Eo
o`03001oogoo01Uoo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol09goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol06Goo00<007oo
Ool05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0IOol00`00Oomoo`0GOol001Qoo`03001oogoo
04=oo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
0:Eoo`03001oogoo01Uoo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol09goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol06Goo00<0
07ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0IOol00`00Oomoo`0GOol001Qoo`03001o
ogoo04=oo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo0:Eoo`03001oogoo01Uoo`03001oogoo01Moo`0067oo00<007ooOol0@gooE@00VGoo3`006goo
0P0067oo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03001oogoo
04=oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
0:Eoo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol09goo00<0
07ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03001o
ogoo04=oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo0:Eoo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol06Goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol09goo
00<007ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03
001oogoo04=oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo0:Eoo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol0
6Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0YGoo00<007ooOol0
9goo00<007ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`2UOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qo
o`l002UoodL000eoo`l001]oo`l000eoo`l001]oo`l002Uoo`03001oogoo02Moo`8001Qoo`0067oo
00<007ooOol0@goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0=Goo
00<007ooOol09goo00<007ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomo
o`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomo
o`0;Ool00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03
001oogoo04=oo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03
001oogoo02Moo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol06Goo00<007ooOol0
6Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol0
2goo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol09goo00<007ooOol05goo000HOol00`00
Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0eOol00`00
Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03001oogoo04=oo`03001oogoo01Uoo`03001oogoo01Uo
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]o
o`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<007oo
Ool0@goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0=Goo00<007oo
Ool09goo00<007ooOol05goo000HOol00`00Oomoo`13Ool00`00Oomoo`0IOol00`00Oomoo`0IOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03001oogoo
04=oo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo
02Moo`03001oogoo01Moo`0067oo00<007ooOol0@goo00<007ooOol06Goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<0
07ooOol06Goo00<007ooOol0=Goo00<007ooOol09goo00<007ooOol05goo000HOol?000YOol?000K
Ool00`00Oomoo`0IOon=000YOol?000KOol2000HOol001Qoo`03001oogoo00]oo`03001oogoo02Mo
o`03001oogoo02Moo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo02Moo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<007ooOol02goo00<007oo
Ool09goo00<007ooOol09goo00<007ooOol09goo00<007ooOol06Goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol09goo00<007ooOol09goo00<007ooOol05goo000HOol00`00Oomoo`0;Ool0
0`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0IOol00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0GOol001Qoo`03001oogoo
00]oo`03001oogoo02Moo`03001oogoo02Moo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo02Moo`03001oogoo01Moo`0067oo00<0
07ooOol02goo00<007ooOol09goo00<007ooOol09goo00<007ooOol09goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol09goo00<007ooOol09goo00<007ooOol05goo000H
Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomoo`0G
Ool001Qoo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo02Moo`03001oogoo02Moo`03001o
ogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo02Moo`03001o
ogoo01Moo`0067oo00<007ooOol02goo00<007ooOol09goo00<007ooOol09goo00<007ooOol09goo
00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol09goo00<007ooOol09goo
00<007ooOol05goo000HOol00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0WOol00`00Oomo
o`0WOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomo
o`0MOol30007Ool00`00Oomoo`0GOol001Qoo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo
02Moo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
02Moo`03001oogoo021oo`03001oogoo00Aoo`03001oogoo01Moo`0067oo3`003Goo7@00:Goo00<0
07ooOol09goo00<007ooOol06GooE@003Goo7@003Goo00<007ooOol087oo00<007ooOol017oo0`00
5goo000VOol00`00Oomoo`0;Ool00`00Oomoo`13Ool00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0MOol30007Ool00`00Oomoo`0G
Ool002Ioo`03001oogoo00]oo`03001oogoo04=oo`03001oogoo04=oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01eoo`03001oogoo00Moo`03001o
ogoo01Moo`009Woo00<007ooOol02goo00<007ooOol0@goo00<007ooOol0@goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol07Goo10001Woo00<007oo
Ool05goo000VOol00`00Oomoo`0;Ool00`00Oomoo`13Ool00`00Oomoo`13Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0GOol0
02Ioo`03001oogoo00]oo`03001oogoo04=oo`03001oogoo04=oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo01Moo`009Woo00<0
07ooOol02goo00<007ooOol0@goo00<007ooOol0@goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol09goo00<007ooOol05goo000VOol00`00Oomoo`0;
Ool00`00Oomoo`13Ool00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0GOol002Ioo`03001oogoo00]oo`03001o
ogoo04=oo`03001oogoo04=oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo02Moo`03001oogoo01Moo`009Woo00<007ooOol02goo00<007ooOol0@goo
00<007ooOol0@goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol09goo00<007ooOol05goo000VOol00`00Oomoo`0;Ool00`00Oomoo`13Ool00`00Oomo
o`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0WOol00`00Oomoo`0GOol002Ioo`03001oogoo00]oo`03001oogoo04=oo`03001oogoo04=oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03
001oogoo01Moo`0067oo>@00:Goo00<007ooOol0=Goo3`003GooO`00:Goo0P0067oo000HOol00`00
Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0WOol00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00Oomoo`0GOol001Qo
o`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo02Moo`03001oogoo03Eoo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uo
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo03Eoo`03001oogoo01Mo
o`0067oo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol09goo00<007ooOol0=Goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0=Goo00<007oo
Ool05goo000HOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0WOol00`00Oomoo`0eOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol0
0`00Oomoo`0GOol001Qoo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo02Moo`03001oogoo
03Eoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
03Eoo`03001oogoo01Moo`0067oo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol09goo00<0
07ooOol0=Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol0=Goo00<007ooOol05goo000HOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0W
Ool00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0eOol00`00Oomoo`0GOol001Qoo`03001oogoo01Uoo`03001oogoo01Uoo`03001o
ogoo02Moo`03001oogoo03Eoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo03Eoo`03001oogoo01Moo`0067oo00<007ooOol06Goo00<007ooOol06Goo
00<007ooOol09goo00<007ooOol0=Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol0=Goo00<007ooOol05goo000HOol00`00Oomoo`0IOol00`00Oomo
o`0IOol00`00Oomoo`0WOol00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00Oomoo`0GOol000Yoo`l001]ooad002Uoo`03
001oogoo02Moof<000eoob/003Moo`8001Qoo`002Woo00<007ooOol0KGoo00<007ooOol0@goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol05goo000:
Ool00`00Oomoo`1]Ool00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0I
Ool00`00Oomoo`0eOol00`00Oomoo`0GOol000Yoo`03001oogoo06eoo`03001oogoo04=oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo01Moo`002Woo
00<007ooOol0KGoo00<007ooOol0@goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo
00<007ooOol0=Goo00<007ooOol05goo000:Ool00`00Oomoo`1]Ool00`00Oomoo`13Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0GOol000Yoo`03
001oogoo06eoo`03001oogoo04=oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03
001oogoo03Eoo`03001oogoo01Moo`002Woo00<007ooOol0KGoo00<007ooOol0@goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol05goo000:Ool00`00
Oomoo`1]Ool00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00
Oomoo`0eOol00`00Oomoo`0GOol000Yoo`03001oogoo06eoo`03001oogoo04=oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo01Moo`002Woo00<007oo
Ool0KGoo00<007ooOol0@goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007oo
Ool0=Goo00<007ooOol05goo000:Ool?0015OolM000gOoli000=OomE000YOol2000HOol005ioo`03
001oogoo01Uoo`03001oogoo03Eoo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo01Moo`00
GWoo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol09goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol0
5goo001NOol00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0eOol00`00
Oomoo`0GOol005ioo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo02Moo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo03Eo
o`03001oogoo01Moo`00GWoo00<007ooOol06Goo00<007ooOol0=Goo00<007ooOol09goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007oo
Ool0=Goo00<007ooOol05goo001NOol00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0WOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol0
0`00Oomoo`0eOol00`00Oomoo`0GOol005ioo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo
02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo
01Uoo`03001oogoo03Eoo`03001oogoo01Moo`00GWoo00<007ooOol06Goo00<007ooOol0=Goo00<0
07ooOol09goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<0
07ooOol06Goo00<007ooOol0=Goo00<007ooOol05goo001NOol00`00Oomoo`0IOol00`00Oomoo`0e
Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;
Ool00`00Oomoo`0IOol00`00Oomoo`0eOol00`00Oomoo`0GOol005ioo`03001oogoo01Uoo`03001o
ogoo03Eoo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001o
ogoo00]oo`03001oogoo01Uoo`03001oogoo03Eoo`03001oogoo01Moo`00D7oo3`006goo00<007oo
Ool0=Goo00<007ooOol06GooE@003Goo00<007ooOol02goo3`00:Goo0P0067oo001NOol00`00Oomo
o`1AOol00`00Oomoo`0IOol00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00Oomoo`0GOol005ioo`03
001oogoo055oo`03001oogoo01Uoo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo03Eoo`03001oogoo01Moo`00
GWoo00<007ooOol0DGoo00<007ooOol06Goo00<007ooOol09goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0=Goo00<007ooOol0
5goo001NOol00`00Oomoo`1AOol00`00Oomoo`0IOol00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00
Oomoo`0GOol005ioo`03001oogoo055oo`03001oogoo01Uoo`03001oogoo02Moo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo03Eo
o`03001oogoo01Moo`00GWoo00<007ooOol0DGoo00<007ooOol06Goo00<007ooOol09goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool0=Goo00<007ooOol05goo001NOol00`00Oomoo`1AOol00`00Oomoo`0IOol00`00Oomoo`0WOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0eOol00`00Oomoo`0GOol005ioo`03001oogoo055oo`03001oogoo01Uoo`03001oogoo
02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo03Eoo`03001oogoo01Moo`00GWoo00<007ooOol0DGoo00<007ooOol06Goo00<0
07ooOol09goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol09Goo0`0017oo0P001goo00<007ooOol05goo001NOol00`00Oomoo`1A
Ool00`00Oomoo`0IOol00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0VOol00`00Oomoo`02Ool01000Oomoo`00
1Woo00<007ooOol05goo001NOol?0015OolM000YOomE000JOol00`00Oomoo`02Ool01000Oomoo`00
1Woo0`005goo001NOol00`00Oomoo`0;Ool00`00Oomoo`1OOol00`00Oomoo`13Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0HOol00`00Oomoo`02
Ool01000Oomoo`001Woo00<007ooOol05goo001NOol00`00Oomoo`0;Ool00`00Oomoo`1OOol00`00
Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0HOol00`00Oomoo`02Ool01000Oomoo`001Woo00<007ooOol05goo001NOol00`00Oomoo`0;
Ool00`00Oomoo`1OOol00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0GOol20005Ool20007Ool00`00Oomoo`0GOol005ioo`03001o
ogoo00]oo`03001oogoo05moo`03001oogoo04=oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo01Moo`00GWoo00<007ooOol02goo
00<007ooOol0Ggoo00<007ooOol0@goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol09goo00<007ooOol05goo001NOol00`00Oomoo`0;Ool00`00Oomo
o`1OOol00`00Oomoo`13Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0WOol00`00Oomoo`0GOol005ioo`03001oogoo00]oo`03001oogoo05moo`03
001oogoo04=oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo02Moo`03001oogoo01Moo`00GWoo00<007ooOol02goo00<007ooOol0Ggoo00<007ooOol0
@goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
9goo00<007ooOol05goo001NOol00`00Oomoo`0;Ool00`00Oomoo`1OOol00`00Oomoo`13Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00
Oomoo`0GOol005ioo`03001oogoo00]oo`03001oogoo05moo`03001oogoo04=oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo01Mo
o`00GWoo7@00Dgoo00<007ooOol0@goo>@003Goo7P0067oo001jOol00`00Oomoo`2GOol00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0IOol00`00Oomoo`0GOol007Yoo`03001oogoo09Moo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Moo`00
NWoo00<007ooOol0Ugoo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo001jOol00`00Oomoo`2GOol00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0IOol00`00Oomoo`0GOol007Yoo`03001oogoo09Moo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Mo
o`00NWoo00<007ooOol0Ugoo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo001jOol00`00Oomoo`2GOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`00Oomoo`0GOol007Yoo`03001oogoo09Moo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo
01Moo`00NWoo00<007ooOol0Ugoo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo001jOol00`00Oomoo`2G
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0IOol00`00Oomoo`0GOol006aooad007eooeD001]oo`l000]oo`00K7oo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol0RGoo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo001/Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`29Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0GOol006aoo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo08Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
01Uoo`03001oogoo01Uoo`03001oogoo01Moo`00K7oo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol0RGoo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<0
07ooOol06Goo00<007ooOol05goo001/Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`29
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0I
Ool00`00Oomoo`0GOol006aoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo08Uoo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Uoo`03001o
ogoo01Moo`00K7oo00<007ooOol02goo00<007ooOol02goo00<007ooOol0RGoo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo
001/Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`29Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0GOol006aoo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo08Uoo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo01Moo`00K7oo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol0RGoo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo001NOoli001COon>000HOol007Yo
o`03001oogoo06eoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Mo
o`00NWoo00<007ooOol0KGoo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007oo
Ool05goo001jOol00`00Oomoo`1]Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol0
0`00Oomoo`0GOol007Yoo`03001oogoo06eoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
01Uoo`03001oogoo01Moo`00NWoo00<007ooOol0KGoo00<007ooOol06Goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol06Goo00<007ooOol05goo001jOol00`00Oomoo`1]Ool00`00Oomoo`0IOol00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0IOol00`00Oomoo`0GOol007Yoo`03001oogoo06eoo`03001oogoo01Uoo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo01Uoo`03001oogoo01Moo`00NWoo00<007ooOol0KGoo00<007ooOol06Goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo001jOol00`00Oomoo`1]Ool00`00Oomo
o`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0GOol007Yoo`03001oogoo06eoo`03
001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Moo`00NWoo00<007ooOol0
KGoo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo001jOol?000=
Ool[000YOolM000=OomE000=Ool2000HOol008Qoo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo03Eoo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo01Uoo`03001oogoo01Moo`00R7oo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol0=Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo
00<007ooOol05goo0028Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomo
o`0GOol008Qoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo03Eoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Moo`00
R7oo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
=Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol05goo0028Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0GOol008Qoo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo03Eoo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Moo`00R7oo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0=Goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol06Goo00<007ooOol05goo0028Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0eOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`09Ool30003Ool30007Ool00`00Oomoo`0GOol008Qoo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo03Eoo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo00Yoo`03001oogoo00Eoo`03001oogoo00Aoo`03001oogoo01Moo`00R7ooA`00
6goo>@003Goo3`003Goo00<007ooOol02goo7`005goo002FOol00`00Oomoo`0IOol00`00Oomoo`0I
Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0W
Ool00`00Oomoo`0IOol00`00Oomoo`0:Ool00`00Oomoo`02Ool30007Ool00`00Oomoo`0GOol009Io
o`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo00Yoo`03001oogoo009o
o`03001oogoo00Moo`03001oogoo01Moo`00UWoo00<007ooOol06Goo00<007ooOol06Goo00<007oo
Ool06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol09goo00<007oo
Ool06Goo00<007ooOol02Goo0P0017oo10001Woo00<007ooOol05goo002FOol00`00Oomoo`0IOol0
0`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0WOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0GOol009Ioo`03001oogoo
01Uoo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo01Moo`00UWoo00<0
07ooOol06Goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol09goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo002F
Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0G
Ool009Ioo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo01Uoo`03001oogoo01Uoo`03001o
ogoo01Moo`00UWoo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol09goo00<007ooOol06Goo00<007ooOol06Goo
00<007ooOol05goo002FOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomo
o`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0IOol00`00Oomo
o`0IOol00`00Oomoo`0GOol009Ioo`03001oogoo01Uooad000eooeD000eoo`03001oogoo00]ooad0
00eoo`8001Qoo`00UWoo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol0
2goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo002FOol00`00Oomoo`0IOol00`00
Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00
Oomoo`0GOol009Ioo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]o
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]o
o`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo01Moo`00UWoo00<007ooOol06Goo00<007oo
Ool06Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol06Goo00<007oo
Ool05goo002FOol00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0GOol009Ioo`03001oogoo01Uoo`03001oogoo
01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo
01Moo`00UWoo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<0
07ooOol06Goo00<007ooOol06Goo00<007ooOol05goo002FOol00`00Oomoo`0IOol00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0;
Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0IOol00`00Oomoo`0G
Ool009Ioo`03001oogoo01Uoo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo00]oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001o
ogoo01Uoo`03001oogoo01Uoo`03001oogoo01Moo`00UWoo00<007ooOol06Goo00<007ooOol06Goo
00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo00<007ooOol02goo
00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol06Goo00<007ooOol05goo
002FOol00`00Oomoo`0IOol00`00Oomoo`0IOolM000=Oon0000HOol00;9oo`03001oogoo01Uoo`03
001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo00]oo`03
001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Moo`00/Woo00<007ooOol0
6Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol09goo00<007ooOol0
2goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol05goo002bOol00`00
Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0GOol00;9o
o`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo02Mo
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Mo
o`00/Woo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007oo
Ool09goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007oo
Ool05goo002bOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool0
0`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool0
0`00Oomoo`0GOol00;9oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo
00]oo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo
00]oo`03001oogoo01Moo`00/Woo00<007ooOol06Goo00<007ooOol02goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol09goo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol05goo002bOol00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0WOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0I
Ool00`00Oomoo`0;Ool00`00Oomoo`0GOol00;9oo`03001oogoo01Uoo`03001oogoo00]oo`03001o
ogoo01Uoo`03001oogoo00]oo`03001oogoo02Moo`03001oogoo00]oo`03001oogoo00]oo`03001o
ogoo01Uoo`03001oogoo00]oo`03001oogoo01Moo`00/Woo00<007ooOol02goo7@003GooA`003Goo
3`006goo00<007ooOol02goo0P0067oo002bOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomo
o`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`1]Ool00`00Oomoo`0GOol00;9oo`03
001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03
001oogoo06eoo`03001oogoo01Moo`00/Woo00<007ooOol02goo00<007ooOol02goo00<007ooOol0
6Goo00<007ooOol02goo00<007ooOol02goo00<007ooOol0KGoo00<007ooOol05goo002bOol00`00
Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00
Oomoo`1]Ool00`00Oomoo`0GOol00;9oo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo01Uo
o`03001oogoo00]oo`03001oogoo00]oo`03001oogoo06eoo`03001oogoo01Moo`00/Woo00<007oo
Ool02goo00<007ooOol02goo00<007ooOol06Goo00<007ooOol02goo00<007ooOol02goo00<007oo
Ool0KGoo00<007ooOol05goo002bOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol0
0`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`1]Ool00`00Oomoo`0GOol00;9oo`03001oogoo
00]oo`03001oogoo00]oo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00]oo`03001oogoo
06eoo`03001oogoo01Moo`00/Woo00<007ooOol02goo00<007ooOol02goo00<007ooOol06Goo00<0
07ooOol02goo00<007ooOol02goo00<007ooOol0KGoo00<007ooOol05goo002bOol00`00Oomoo`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`0;Ool00`00Oomoo`1]
Ool00`00Oomoo`0GOol00;9oob/000eoo`03001oogoo00]oo`l006moo`8001Qoo`00cWoo00<007oo
Ool06Goo00<007ooOol02goo00<007ooOol0Ngoo00<007ooOol05goo003>Ool00`00Oomoo`0IOol0
0`00Oomoo`0;Ool00`00Oomoo`1kOol00`00Oomoo`0GOol00<ioo`03001oogoo01Uoo`03001oogoo
00]oo`03001oogoo07]oo`03001oogoo01Moo`00cWoo00<007ooOol06Goo00<007ooOol02goo00<0
07ooOol0Ngoo00<007ooOol05goo003>Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`1k
Ool00`00Oomoo`0GOol00<ioo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo07]oo`03001o
ogoo01Moo`00cWoo00<007ooOol06Goo00<007ooOol02goo00<007ooOol0Ngoo00<007ooOol05goo
003>Ool00`00Oomoo`0IOol00`00Oomoo`0;Ool00`00Oomoo`1kOol00`00Oomoo`0GOol00<ioo`03
001oogoo01Uoo`03001oogoo00]oo`03001oogoo06]oo`@000=oo`8000Moo`03001oogoo01Moo`00
cWoo00<007ooOol06Goo00<007ooOol02goo00<007ooOol0K7oo00<007ooOol00Woo00@007ooOol0
00Ioo`03001oogoo01Moo`00cWoo00<007ooOol06Goo3`00Kgoo00D007ooOomoo`00009oo`03001o
ogoo00Aoo`<001Moo`00ogooJWoo00@007ooOol0009oo`03001oogoo00Aoo`03001oogoo01Moo`00
ogooIgoo00@007ooOol0009oo`04001oogoo0006Ool00`00Oomoo`0GOol00?moofQoo`8000Aoo`80
00Moo`03001oogoo01Moo`00ogooMgoo00<007ooOol05goo003oOomgOol00`00Oomoo`0GOol00?mo
ogMoo`03001oogoo01Moo`00\
\>"],
  ImageRangeCache->{{{0, 399}, {246, 0}} -> {-26.7553, -1.56078, 0.0714553, 
  0.0899244}}],

Cell["dirList={{1,0},{0,1},{-1,0},{0,-1}}", "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["7", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use nested \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Table[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" commands to create the following list display:",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
TableForm[{{1, 2, 3, 4, 5, 6}, {2, 4, 6, 8, 10}, 
 
   {3, 6, 9, 12}, {4, 8, 12}, {5, 10}, {6}}]\
\>", 
"\<\
1   2    3    4    5    6

2   4    6    8    10

3   6    9    12

4   8    12

5   10

6\
\>"], "Output",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["8"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Define a function of one positive integer parameter \"n\" which returns a \
list of all pairs of positive integers which sum to \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["n",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  For instance, \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["splitin2[9]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" should return \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{1,8},{2,7},{3,6},{4,5}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Note that the list does not include both \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{4,5}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{5,4}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".   ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["9  "], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["\"Building up slowly\":  Write a function called \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["onlyEven",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" that that takes a list as input and outputs the elements located at \
even positions.  For example ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["onlyEven[{1,2,3,4,5,6}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should output ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{2,4,6}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[";  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["onlyEven[{\"a\",\"b\",\"c\",\"d\"}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should output ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{\"b\",\"d\"}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" (or ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{b,d}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", as ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[
  " likes to omit quotation marks).   Hint:  As a start, consider using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Partition[ ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["]\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["10: Extra Credit"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function of one positive integer parameter \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["n",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" which returns a list of all triples of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["distinct",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" positive integers which sum to \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["n",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  For instance, \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["splitin3[9]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" should return \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{1,2,6},{1,3,5},{2,3,4}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Note that the list does not include \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{1,4,4}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" or each of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{2,3,4}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{2,4,3}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{3,4,2}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", and so on.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{108, Automatic}, {30, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@4b=X0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 126, 2, 136, "Title",
  Evaluatable->False],
Cell[1860, 55, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1985, 61, 146, 4, 78, "Subtitle",
  Evaluatable->False],
Cell[2134, 67, 634, 22, 48, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2793, 93, 71, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2867, 97, 592, 20, 48, "Text",
  Evaluatable->False],
Cell[3462, 119, 61, 1, 27, "Input"],
Cell[3526, 122, 85, 1, 27, "Input"],
Cell[3614, 125, 344, 13, 31, "Text",
  Evaluatable->False],
Cell[3961, 140, 538, 20, 31, "Text",
  Evaluatable->False],
Cell[4502, 162, 538, 20, 25, "Text",
  Evaluatable->False],
Cell[5043, 184, 537, 20, 25, "Text",
  Evaluatable->False],
Cell[5583, 206, 537, 20, 25, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[6157, 231, 71, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6231, 235, 611, 20, 48, "Text",
  Evaluatable->False],
Cell[6845, 257, 68, 1, 27, "Input"],
Cell[6916, 260, 72, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[7025, 266, 71, 2, 30, "Subsection",
  Evaluatable->False],
Cell[7099, 270, 936, 34, 48, "Text",
  Evaluatable->False],
Cell[8038, 306, 88, 1, 27, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[8163, 312, 71, 2, 30, "Subsection",
  Evaluatable->False],
Cell[8237, 316, 927, 34, 47, "Text",
  Evaluatable->False],
Cell[9167, 352, 343, 13, 31, "Text",
  Evaluatable->False],
Cell[9513, 367, 347, 13, 25, "Text",
  Evaluatable->False],
Cell[9863, 382, 561, 21, 25, "Text",
  Evaluatable->False],
Cell[10427, 405, 354, 13, 25, "Text",
  Evaluatable->False],
Cell[10784, 420, 162, 5, 25, "Text",
  Evaluatable->False],
Cell[10949, 427, 566, 20, 25, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[11552, 452, 73, 2, 30, "Subsection",
  Evaluatable->False],
Cell[11628, 456, 1118, 41, 48, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[12783, 502, 72, 2, 30, "Subsection",
  Evaluatable->False],
Cell[12858, 506, 1751, 55, 129, "Text",
  Evaluatable->False],
Cell[14612, 563, 56713, 1758, 203, 17455, 1268, "GraphicsData", 
"PostScript", "Graphics",
  Evaluatable->False],
Cell[71328, 2323, 78, 1, 22, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[71443, 2329, 71, 2, 30, "Subsection",
  Evaluatable->False],
Cell[71517, 2333, 374, 13, 31, "Text",
  Evaluatable->False],
Cell[71894, 2348, 289, 19, 106, "Output",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[72220, 2372, 81, 2, 30, "Subsection",
  Evaluatable->False],
Cell[72304, 2376, 1240, 43, 81, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[73581, 2424, 83, 2, 30, "Subsection",
  Evaluatable->False],
Cell[73667, 2428, 1834, 65, 100, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[75538, 2498, 96, 2, 30, "Subsection",
  Evaluatable->False],
Cell[75637, 2502, 1936, 69, 84, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

