(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      7280,        256]*)
(*NotebookOutlinePosition[      8312,        289]*)
(*  CellTagsIndexPosition[      8268,        285]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["12. Structured Patterns:  Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  February 18 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Poker Hands"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["You are to define and show working examples of a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["poker[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  The function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["poker[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" should take five integers, each between 1 and 13, and output the best \
poker hand.  (True poker experts should note that we are ignoring suits for \
simplicity.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"The possibilities from best to worst are: \"Five of a kind\", \"Four of a \
kind\", \"Full house\" (three cards of one kind and two of another), \
\"Straight\" (five consecutive, distinct cards), \"Three of a kind\", \"Two \
pair\", \"Pair\", and \"High card\" (the case in which none of the above \
apply)."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Examples:  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["poker[1,2,1,2,1]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["\"full house\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["; ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["poker[1,1,3,4,4]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["\"two pair\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Hint #1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontVariations->{"Underline"->True}],
  StyleBox[
  ": There are many combinations of two of a kind:  the pair might be in the \
first two cards, the second two cards, the first and third, and so on.  To \
deal with this, consider sorting the five arguments before sending them to a \
second function with particular pattern definitions.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Hint #2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontVariations->{"Underline"->True}],
  StyleBox[
  ":   Use multiple definitions for this second function, along with pattern \
matching.  Here are sample definitions for two hands.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"poker[a_,a_,a_,a_,a_]:=\"Five of a kind\"\npoker[a_,a_,a_,b__]:=\"Three of a \
kind\"  \n   (* the name b is unnessary, although the blank-blank is not *)"],
   "Input",
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["poker[5,2,5,7,5]"], "Input",
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
\"Three of a kind\"

\
\>", "\<\
Three of a kind\
\>"], "Output",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[
"poker[3,3,3,3,3]  (* notice the more specific of the rules is applied *)"], 
  "Input",
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
\"Five of a kind\"

\
\>", "\<\
Five of a kind\
\>"], "Output",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Defaulting Functions"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"(a) Define a function which raises the first argument to the power specified \
by the second argument, unless the second argument does not appear, in which \
case the power should be 2."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) Define a function which prints the phrase ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["\"The next president of the United States will be \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " (note the space at the end), followed by the first argument, unless it \
doesn't appear, in which case it should have a default string of your choice. \
 (Use the Print function, and remember that to call a function with no \
arguments one must still provide the brackets at the end, as in \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["func[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{148, Automatic}, {30, Automatic}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000002n88o?mooh<<H`Ui0fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 109, 2, 136, "Title",
  Evaluatable->False],
Cell[1843, 55, 101, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1969, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2150, 69, 91, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2244, 73, 730, 23, 64, "Text",
  Evaluatable->False],
Cell[2977, 98, 382, 7, 62, "Text",
  Evaluatable->False],
Cell[3362, 107, 896, 34, 48, "Text",
  Evaluatable->False],
Cell[4261, 143, 545, 14, 62, "Text",
  Evaluatable->False],
Cell[4809, 159, 390, 12, 46, "Text",
  Evaluatable->False],
Cell[5202, 173, 211, 4, 72, "Input"],

Cell[CellGroupData[{
Cell[5438, 181, 69, 1, 27, "Input"],
Cell[5510, 184, 138, 8, 24, "Output",
  Evaluatable->False]
}, Open  ]],

Cell[CellGroupData[{
Cell[5685, 197, 129, 3, 42, "Input"],
Cell[5817, 202, 136, 8, 24, "Output",
  Evaluatable->False]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[6002, 216, 100, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6105, 220, 260, 5, 46, "Text",
  Evaluatable->False],
Cell[6368, 227, 872, 24, 97, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

