(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      4600,        175]*)
(*NotebookOutlinePosition[      5685,        210]*)
(*  CellTagsIndexPosition[      5641,        206]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["24. Object-Oriented Programming:  Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  April 15, 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[TextData[{
  "Write a package to implement a primitive word processor, where a \
\"document\" is a list of strings which we think of as lines of the document. \
 You should provide functions to erase the document (set the document to an \
empty list), print the document (by executing \"",
  StyleBox["Print[", "Input",
    FontWeight->"Plain"],
  StyleBox["string", "Input",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  StyleBox["]", "Input",
    FontWeight->"Plain"],
  "\" for each string in the document), insert strings into the document at a \
specific place, delete a specific numbered string from the document, and tell \
how many lines the document has."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Here is some sample input and output your package should support.  (Note \
that the functions have been chosen with particular names, to which you are \
not bound.)"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["lenDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
0\
\>", "\<\
0\
\>"], "Output",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData["addLine[\"Hello\",1]"], "Input",
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["printDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["Hello"], "Print",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData["addLine[\"Line 1\",1]"], "Input",
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["printDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["Line 1\nHello"], "Print",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData["delLine[1]"], "Input",
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["printDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["Hello"], "Print",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["lenDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[OutputFormData["\<\
1\
\>", "\<\
1\
\>"], "Output",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[TextData["addLine[\"Last Line\",2]"], "Input",
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["printDoc[]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["Hello\nLast Line"], "Print",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{87, Automatic}, {Automatic, 12}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5caU0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 117, 2, 136, "Title",
  Evaluatable->False],
Cell[1851, 55, 99, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1975, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],
Cell[2134, 67, 736, 17, 112, "Text",
  Evaluatable->False],
Cell[2873, 86, 239, 5, 46, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[3137, 95, 61, 1, 27, "Input"],
Cell[3201, 98, 104, 6, 24, "Output",
  Evaluatable->False]
}, Closed]],
Cell[3320, 107, 73, 1, 24, "Input"],

Cell[CellGroupData[{
Cell[3418, 112, 63, 1, 27, "Input"],
Cell[3484, 115, 80, 2, 20, "Print",
  Evaluatable->False]
}, Closed]],
Cell[3579, 120, 74, 1, 24, "Input"],

Cell[CellGroupData[{
Cell[3678, 125, 63, 1, 27, "Input"],
Cell[3744, 128, 88, 2, 26, "Print",
  Evaluatable->False]
}, Closed]],
Cell[3847, 133, 63, 1, 24, "Input"],

Cell[CellGroupData[{
Cell[3935, 138, 63, 1, 27, "Input"],
Cell[4001, 141, 80, 2, 20, "Print",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4118, 148, 61, 1, 24, "Input"],
Cell[4182, 151, 104, 6, 22, "Output",
  Evaluatable->False]
}, Closed]],
Cell[4301, 160, 77, 1, 24, "Input"],

Cell[CellGroupData[{
Cell[4403, 165, 63, 1, 27, "Input"],
Cell[4469, 168, 91, 2, 26, "Print",
  Evaluatable->False]
}, Closed]]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

