(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      5980,        212]*)
(*NotebookOutlinePosition[      7065,        247]*)
(*  CellTagsIndexPosition[      7021,        243]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["25. Files and Representations of Data:  Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  April 15, 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell["1  Storing the Numbers from 1 to 100", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a function with one argument \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" which writes the Integers from 1 to 100 to file \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["2  Strings Into Characters", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a function of one argument \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["s",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", a ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["String",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", which writes the string \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["s",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" to some file and then reads the string that file back in as a list of \
single characters.  This operation thus mimics ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Characters[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  Pay attention to the methods ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" has for reading in data from a file.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["3  Our Very Own Copy ", "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a function of two arguments \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" which reads each line from file \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and writes it to file \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["file2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  If this works, you should be able to copy your notebooks using the \
command.  \n\nNotes: \n\[Bullet]  Be careful to save copies of any work you \
might damage!\n\[Bullet]  If you are copying notebooks, note that the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["!!",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" command senses that a file is a notebook and opens a new window.\n\
\[Bullet]  Don't use ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["CopyFile[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{20, Automatic}, {30, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5caU0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 123, 2, 174, "Title",
  Evaluatable->False],
Cell[1857, 55, 99, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1981, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2162, 69, 106, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2271, 73, 569, 20, 48, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[2877, 98, 96, 2, 30, "Subsection",
  Evaluatable->False],
Cell[2976, 102, 1249, 43, 82, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4262, 150, 91, 2, 30, "Subsection",
  Evaluatable->False],
Cell[4356, 154, 1584, 53, 162, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

