(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      4733,        154]*)
(*NotebookOutlinePosition[      5817,        189]*)
(*  CellTagsIndexPosition[      5773,        185]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["27. Fits and Graphics:  Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  April 15, 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["1: Attendance at the Mountain"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Here are the attendance records for the first 36 months of operation of a \
museum at the base of Mt. Rushmore.   The museum's first month of operation \
was May of 1991."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"attend={{1, 248}, {2, 317}, {3, 345}, {4, 326}, \n  {5, 264}, {6, 188}, {7, \
98}, {8, 47}, {9, 20}, \n  {10, 48}, {11, 122}, {12, 227}, {13, 309}, \n  \
{14, 373}, {15, 418}, {16, 380}, {17, 329}, \n  {18, 248}, {19, 165}, {20, \
119}, {21, 89}, \n  {22, 119}, {23, 184}, {24, 270}, {25, 366}, \n  {26, \
430}, {27, 461}, {28, 440}, {29, 380}, \n  {30, 319}, {31, 217}, {32, 169}, \
{33, 141}, \n  {34, 170}, {35, 248}, {36, 338}};"], "Input",
  AspectRatioFixed->True],

Cell[TextData["ListPlot[attend]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Use the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Fit[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" command to try to build a fitter function for this data.  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Hint",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[":  The winters in South Dakota are very cold.  Give the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Fit[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" command a building function that can produce the seasonal variations \
seen in the data, perhaps with \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Sin[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" or \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Cos[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["2: Primitive Graphics"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Use graphics primitives to draw a face, a house, or some other equivalent of \
a scratchpad \"doodle\".  Be creative, and don't be too reductive in your \
representation of reality."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{36, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5caU0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 107, 2, 136, "Title",
  Evaluatable->False],
Cell[1841, 55, 99, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1965, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2146, 69, 109, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2258, 73, 245, 5, 46, "Text",
  Evaluatable->False],
Cell[2506, 80, 486, 7, 147, "Input"],
Cell[2995, 89, 69, 1, 27, "Input"],
Cell[3067, 92, 1229, 43, 51, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4333, 140, 101, 2, 30, "Subsection",
  Evaluatable->False],
Cell[4437, 144, 256, 5, 38, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

