(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      6904,        244]*)
(*NotebookOutlinePosition[      7989,        279]*)
(*  CellTagsIndexPosition[      7945,        275]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["Project 1"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  January 15 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Functions Both Social and Secure"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Jane Doe's social security number is 432-10-9876.  With it, Jane \
associates an eighth degree polynomial, ",
  Cell[BoxData[
      \(TraditionalForm
      \`4  x\^8 - 3  x\^7 + 2  x\^6 - 1  x\^5 + 0  x\^4 - 9  x\^3 + 8  x\^2 - 
        7  x + 6\)]],
  ": "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"janePoly[x_] := \n 4 x^8 - 3 x^7 + 2 x^6 - 1 x^5 + 0 x^4 - 9 x^3 + \n 8 x^2 \
- 7 x + 6"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "by using the digits of her SSN as coefficients and alternating their \
signs.  (",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["+,-,+,-,...",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[") ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
(a)\tEnter in the SSN polynomial for yourself and your partner.  If \
you don't have a partner, or if you must work on this project independently, \
then make up a suitable 9-digit number.  Note:  if the first digit of your \
SSN is zero, substitute a 1 for the purposes of this assignment.\
\>", "Text",\

  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "(b)\tPlot both polynomials on the same axes.  Remember that Mathematica \
distinguishes a variable from a function by the use of square brackets; \
hence, you do not want to plot \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["janePoly",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", say, but \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["janePoly[x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(c)\tIf you plot your SSN's on the interval ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["[-20,20]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ", they should both get very large and positive.  Plotting on smaller \
intervals should show you more detail.  Whose polynomial gives the smallest \
(or most negative) value? ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(d)\tWhere do your SSN's intersect the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox["-axis?  (Hint:  The plot might give you an idea, but use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["NSolve[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" or \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to approach the problem.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "(e)\tWhere do your SSN's intersect each other?   (If the answer is nowhere \
then add the constant 100 to the polynomial that won in part (c). Again, \
consider \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["NSolve[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(f)\tWhere do your SSN's intersect the graph of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`y = e\^x\)]],
  StyleBox["?  (Hint:  Mathematica knows the constant ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["e",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" as \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["E",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{12, Automatic}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6SDJ0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 84, 2, 98, "Title",
  Evaluatable->False],
Cell[1818, 55, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1943, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2124, 69, 109, 2, 50, "Section",
  Evaluatable->False],
Cell[2236, 73, 336, 10, 47, "Text",
  Evaluatable->False],
Cell[2575, 85, 141, 3, 57, "Input"],
Cell[2719, 90, 401, 15, 31, "Text",
  Evaluatable->False],
Cell[3123, 107, 364, 8, 78, "Text",
  Evaluatable->False],
Cell[3490, 117, 689, 23, 63, "Text",
  Evaluatable->False],
Cell[4182, 142, 535, 16, 63, "Text",
  Evaluatable->False],
Cell[4720, 160, 782, 27, 49, "Text",
  Evaluatable->False],
Cell[5505, 189, 665, 23, 64, "Text",
  Evaluatable->False],
Cell[6173, 214, 691, 25, 25, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

