(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     51633,       1303]*)
(*NotebookOutlinePosition[     52721,       1338]*)
(*  CellTagsIndexPosition[     52677,       1334]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["Project 4"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  March 17 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Part A (Individually Pledged):  Rats"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"The diagram below shows a maze with eight rooms.  The lines represent \
tunnels that lead between rooms.   "], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
%%ImageSize: 206 206 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.558252 0.00485437 -0.0194175 0.00485437 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 g
0 -0.01942 m
1 -0.01942 L
1 .98058 L
0 .98058 L
0 -0.01942 L
0 -0.01942 L
F
0 g
.81735 .8031 m
.81735 .8031 .01244 0 365.73 arc
F
.49757 .93538 m
.49757 .93538 .01244 0 365.73 arc
F
.17749 .8031 m
.17749 .8031 .01244 0 365.73 arc
F
.0452 .48301 m
.0452 .48301 .01244 0 365.73 arc
F
.17749 .16323 m
.17749 .16323 .01244 0 365.73 arc
F
.49757 .03095 m
.49757 .03095 .01244 0 365.73 arc
F
.81735 .16323 m
.81735 .16323 .01244 0 365.73 arc
F
.94964 .48301 m
.94964 .48301 .01244 0 365.73 arc
F
.8125 Mabswid
[ ] 0 setdash
.81735 .8031 m
.0452 .48301 L
s
.81735 .8031 m
.49757 .03095 L
s
.81735 .8031 m
.81735 .16323 L
s
.81735 .8031 m
.94964 .48301 L
s
.49757 .93538 m
.0452 .48301 L
s
.49757 .93538 m
.49757 .03095 L
s
.49757 .93538 m
.94964 .48301 L
s
.17749 .8031 m
.81735 .16323 L
s
.0452 .48301 m
.81735 .8031 L
s
.0452 .48301 m
.49757 .93538 L
s
.0452 .48301 m
.49757 .03095 L
s
.0452 .48301 m
.81735 .16323 L
s
.0452 .48301 m
.94964 .48301 L
s
.17749 .16323 m
.81735 .16323 L
s
.17749 .16323 m
.94964 .48301 L
s
.49757 .03095 m
.81735 .8031 L
s
.49757 .03095 m
.49757 .93538 L
s
.49757 .03095 m
.0452 .48301 L
s
.81735 .16323 m
.81735 .8031 L
s
.81735 .16323 m
.17749 .8031 L
s
.81735 .16323 m
.0452 .48301 L
s
.81735 .16323 m
.17749 .16323 L
s
.81735 .16323 m
.94964 .48301 L
s
.94964 .48301 m
.81735 .8031 L
s
.94964 .48301 m
.49757 .93538 L
s
.94964 .48301 m
.0452 .48301 L
s
.94964 .48301 m
.17749 .16323 L
s
.94964 .48301 m
.81735 .16323 L
s
.81735 .8031 m
.0452 .48301 L
s
.81735 .8031 m
.49757 .03095 L
s
.81735 .8031 m
.81735 .16323 L
s
.81735 .8031 m
.94964 .48301 L
s
.49757 .93538 m
.0452 .48301 L
s
.49757 .93538 m
.49757 .03095 L
s
.49757 .93538 m
.94964 .48301 L
s
.17749 .8031 m
.81735 .16323 L
s
.0452 .48301 m
.81735 .8031 L
s
.0452 .48301 m
.49757 .93538 L
s
.0452 .48301 m
.49757 .03095 L
s
.0452 .48301 m
.81735 .16323 L
s
.0452 .48301 m
.94964 .48301 L
s
.17749 .16323 m
.81735 .16323 L
s
.17749 .16323 m
.94964 .48301 L
s
.49757 .03095 m
.81735 .8031 L
s
.49757 .03095 m
.49757 .93538 L
s
.49757 .03095 m
.0452 .48301 L
s
.81735 .16323 m
.81735 .8031 L
s
.81735 .16323 m
.17749 .8031 L
s
.81735 .16323 m
.0452 .48301 L
s
.81735 .16323 m
.17749 .16323 L
s
.81735 .16323 m
.94964 .48301 L
s
.94964 .48301 m
.81735 .8031 L
s
.94964 .48301 m
.49757 .93538 L
s
.94964 .48301 m
.0452 .48301 L
s
.94964 .48301 m
.17749 .16323 L
s
.94964 .48301 m
.81735 .16323 L
s
gsave
.77549 .73695 -66 8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.4557 .86954 -66 2 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.13592 .73695 -61 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.00334 .41717 -61 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.13592 .09739 -61 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.4557 .01335 -71 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(6) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.77549 .09739 -61 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(7) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
gsave
.90807 .41717 -51 -5.8 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
gsave
0.000000 0.000000 0.000000 setrgbcolor
1.000000 setlinewidth
gsave
newpath
 61.000000 16.000000 moveto
 558.000000 16.000000 lineto
 558.000000 4.000000 lineto
 61.000000 4.000000 lineto
 61.000000 16.000000 lineto
closepath
clip newpath
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
63.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(8) show
69.000000 13.000000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
0.000000 0.000000 rmoveto
1.000000 setlinewidth
grestore
grestore
%%DocumentNeededResources: font Courier
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Courier
%%DocumentSuppliedFonts:
%%DocumentFonts: font Courier
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{206, 206},
  ImageMargins->{{110, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003>0000cR000`400?l00000o`00003ocP3oool0
0<h0oooo003>0?ooo`00cP3oool00<h0oooo001G0?ooo`800000M@3oool005H0oooo00@000000?oo
o`3oool000002`3oool2000006L0oooo001F0?ooo`040000003oool0oooo000000X0oooo1000001V
0?ooo`00EP3oool3000000/0oooo0`00001W0?ooo`00EP3oool00`000000oooo0?ooo`0;0?ooo`@0
0000IP3oool005L0oooo0`0000090?ooo`030000003oool0oooo00800000IP3oool00680oooo00@0
00000?ooo`3oool0oooo0P00001V0?ooo`00H@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0000006D0oooo001P0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000I@3oool0
05l0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00001T0?ooo`00GP3oool00`00
0000oooo0?ooo`050?ooo`040000003oool0oooo000006@0oooo001M0?ooo`030000003oool0oooo
00H0oooo00@000000?ooo`3oool00000I03oool005`0oooo00<000000?ooo`3oool01`3oool01@00
0000oooo0?ooo`3oool0000006<0oooo001K0?ooo`030000003oool0oooo00P0oooo00D000000?oo
o`3oool0oooo0000001S0?ooo`00FP3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0H03oool005T0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0600oooo001H0?ooo`030000003oool0oooo00/0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1O0?ooo`00E`3oool00`000000oooo0?oo
o`0<0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0G`3oool001h0oooo0`00000e
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0c
0?ooo`030000003oool0oooo02T0oooo000Q0?ooo`030000003oool0oooo0340oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0380oooo00<000000?oo
o`3oool0:@3oool00240oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`0X0?ooo`00
7P3oool300000380oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0380oooo00<000000?ooo`3oool0:03oool001h0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0<`3o
ool00`000000oooo0?ooo`0W0?ooo`007P3oool4000002l0oooo00<000000?ooo`3oool04P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0300oooo1000000Y0?ooo`00D03oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0G03oool004l0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05`0
oooo001>0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`1K0?ooo`00C@3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool0=03oool00`000000oooo0?ooo`0T0?ooo`008`3oool2000002L0oooo00<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo03@0oooo0P00000U
0?ooo`008P3ooon8000002@0oooo000R0?ooo`L000008@3oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0;`3oool7000002@0oooo000S0?ooo`<00000
0`3oool2000001h0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo02`0oooo0P0000020?ooo`@000009@3oool002@0oooo00<000000?ooo`3oool0103o
ool2000001/0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo02X0oooo0P0000030?ooo`030000003oool0oooo008000009@3oool002d0oooo0`00000G
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0V
0?ooo`<00000103oool010000000oooo0?ooo`3oool2000002D0oooo000`0?ooo`800000503oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0903oool2
000000H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000000T0?ooo`00<P3oool30000
0100oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0240oooo0`0000070?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000903oool003D0
oooo0P00000=0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool02`3oool00`000000
oooo0?ooo`0N0?ooo`8000002@3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0000
02<0oooo000g0?ooo`8000002P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0703oool2000000X0oooo00<000000?ooo`3oool01@3oool010000000
oooo0?ooo`00000S0?ooo`00>@3oool3000000H0oooo00<000000?ooo`3oool08@3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo01P0oooo0`00000;0?ooo`030000003oool0oooo00H0
oooo00@000000?ooo`3oool000008`3oool003`0oooo0P0000030?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0F0?ooo`8000003@3oool00`000000
oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`0000008P3oool003h0oooo0`00000U0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool04`3oool3000000h0oooo00<000000?ooo`3o
ool0203oool01@000000oooo0?ooo`3oool000000280oooo000o0?ooo`040000003oool000000000
02<0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0@0?ooo`800000403oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool003h0
oooo00<000000?ooo`3oool00P3oool200000240oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0>0?ooo`8000004@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool07`3oool003d0oooo00<000000?ooo`3oool01@3oool3000001h0oooo
00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`<000004P3oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool003`0oooo00<0
00000?ooo`3oool02@3oool2000001`0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`080?ooo`800000503oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool07P3oool003/0oooo00<000000?ooo`3oool0303oool3000001T0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`050?ooo`<000005@3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool003X0oooo00<000000?oo
o`3oool0403oool2000001L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`020?oo
o`8000005`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool07@3oool003T0oooo00<000000?ooo`3oool04`3oool2000001D0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`02000001P0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01d0oooo000h0?ooo`030000003oool0oooo01H0oooo
0`00000B0?ooo`030000003oool0oooo00l0oooo0`00000I0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0L0?ooo`00=`3oool00`000000oooo0?oo
o`0J0?ooo`800000403oool00`000000oooo0?ooo`0=0?ooo`80000000<0oooo0000003oool0603o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703o
ool003H0oooo00<000000?ooo`3oool07@3oool2000000h0oooo00<000000?ooo`3oool02`3oool2
000000@0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0703oool003D0oooo00<000000?ooo`3oool0803oool30000
00/0oooo00<000000?ooo`3oool0203oool3000000H0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool06`3oool003@0
oooo00<000000?ooo`3oool0903oool2000000T0oooo00<000000?ooo`3oool01P3oool2000000T0
oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool06`3oool003<0oooo00<000000?ooo`3oool09`3oool3000000H0oooo
00<000000?ooo`3oool00`3oool3000000`0oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0E0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool06P3oool00380oooo00<0
00000?ooo`3oool0:`3oool2000000@0oooo00@000000?ooo`3oool0oooo0P00000?0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo01X0oooo000a0?ooo`030000003oool0oooo02h0oooo0P0000020?ooo`040000003o
ool0000000000180oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool06P3oool00300oooo00<000000?ooo`3oool0<@3o
ool4000001@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0H0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool06@3oool002l0oooo00<000000?ooo`3oool0<@3oool2
000000040?ooo`0000000000000001<0oooo00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`0I0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06@3oool002h0oooo00<00000
0?ooo`3oool0;`3oool3000000<0oooo00<000000?ooo`3oool00`00000A0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo01P0oooo000]0?ooo`030000003oool0oooo02h0oooo0P0000060?ooo`030000003oool0oooo
00<0oooo0P00000?0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool06`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo01P0oooo000/0?ooo`030000003oool0oooo02d0
oooo0P0000080?ooo`030000003oool0oooo00D0oooo0P00000>0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo01P0
oooo000[0?ooo`030000003oool0oooo02/0oooo0`00000:0?ooo`030000003oool0oooo00L0oooo
0`00000;0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo01L0oooo000Z0?ooo`030000003oool0oooo02X0oooo0P00
000=0?ooo`030000003oool0oooo00X0oooo0P0000090?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool07P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01L0oooo000Y
0?ooo`030000003oool0oooo02P0oooo0`00000?0?ooo`030000003oool0oooo00`0oooo0`000007
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo01H0oooo000X0?ooo`030000003oool0oooo02L0oooo0P00000B0?oo
o`030000003oool0oooo00l0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01H0oooo000W0?ooo`03
0000003oool0oooo02H0oooo0P00000D0?ooo`030000003oool0oooo0140oooo0P0000040?ooo`04
0000003oool0oooo000002<0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0E0?oo
o`009P3oool00`000000oooo0?ooo`0T0?ooo`<000005P3oool00`000000oooo0?ooo`0C0?ooo`<0
000000@0oooo0000003oool00000903oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
01D0oooo000U0?ooo`030000003oool0oooo02<0oooo0P00000I0?ooo`030000003oool0oooo01H0
oooo0`00000U0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool05@3oool002@0oooo
00<000000?ooo`3oool08@3oool3000001/0oooo00<000000?ooo`3oool05`3oool4000002<0oooo
00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0D0?ooo`008`3oool00`000000oooo0?oo
o`0P0?ooo`8000007P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool000000080oooo0P00
000Q0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0503oool00280oooo00<00000
0?ooo`3oool07`3oool200000200oooo00<000000?ooo`3oool05@3oool01@000000oooo0?ooo`3o
ool0000000<0oooo0P00000O0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool04`3o
ool00240oooo00<000000?ooo`3oool07@3oool300000280oooo00<000000?ooo`3oool0503oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo0`00000L0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool04`3oool00200oooo00<000000?ooo`3oool0703oool20000
02D0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo0P00000J0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool04`3oool001l0
oooo00<000000?ooo`3oool06P3oool3000002L0oooo00<000000?ooo`3oool04P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo0`00000G0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool04P3oool001h0oooo00<000000?ooo`3oool06@3oool2000002X0oooo
00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo
0P00000E0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04P3oool001d0oooo00<0
00000?ooo`3oool0603oool2000002`0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00/0oooo0P00000C0?ooo`030000003oool0oooo0100oooo00<0
00000?ooo`3oool04@3oool001`0oooo00<000000?ooo`3oool05P3oool3000002h0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00d0oooo0`00000@
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool001/0oooo00<000000?oo
o`3oool05@3oool200000340oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo00l0oooo0P00000>0?ooo`030000003oool0oooo0100oooo00<000000?oo
o`3oool04@3oool001X0oooo00<000000?ooo`3oool04`3oool3000003<0oooo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0140oooo0`00000;0?ooo`03
0000003oool0oooo0140oooo00<000000?ooo`3oool0403oool001T0oooo00<000000?ooo`3oool0
4P3oool2000003H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo01@0oooo0P0000090?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
403oool001P0oooo00<000000?ooo`3oool04@3oool2000003P0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01D0oooo0P0000070?ooo`030000003o
ool0oooo0180oooo00<000000?ooo`3oool03`3oool001L0oooo00<000000?ooo`3oool03`3oool3
000003X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo01L0oooo0`0000040?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool03`3oool0
01H0oooo00<000000?ooo`3oool03P3oool2000003d0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`0B0?ooo`030000003oool0oooo01T0oooo0P0000020?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool03`3oool000@0oooo0`00000>0?ooo`030000003oool0oooo00d0
oooo0P00000o0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0K0?ooo`<000005@3oool00`000000oooo0?ooo`080?ooo`800000103oool000D0oooo
00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`<00000@@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0703oool3000001<0oooo
00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000030?ooo`000`3oool4000000`0oooo
00<000000?ooo`3oool02P3oool2000004@0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool00P00000B0?ooo`030000
003oool0oooo00H0oooo00@000000?ooo`3oool000000`3oool000<0oooo00<000000?ooo`000000
303oool00`000000oooo0?ooo`080?ooo`<00000AP3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo01L0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`020?ooo`<00000
3`3oool00`000000oooo0?ooo`070?ooo`800000103oool000<0oooo00<000000?ooo`0000002`3o
ool00`000000oooo0?ooo`070?ooo`800000B@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01T0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`050?ooo`8000003P3o
ool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000<0oooo00040?ooo`8000002P3o
ool00`000000oooo0?ooo`060?ooo`800000B`3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`070?ooo`800000303o
ool00`000000oooo0?ooo`060?ooo`800000103oool000l0oooo00<000000?ooo`3oool0103oool3
000004d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool02@3oool3000000T0oooo00<000000?ooo`3oool0303oool0
00h0oooo00<000000?ooo`3oool00`3oool200000500oooo00D000000?ooo`3oool0oooo0000000O
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0303oool2000000P0oooo00<00000
0?ooo`3oool02`3oool000d0oooo00@000000?ooo`3oool0oooo0`00001B0?ooo`040000003oool0
oooo00000200oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0>0?ooo`<000001@3o
ool00`000000oooo0?ooo`0;0?ooo`00303oool00`000000oooo0?ooo`02000005D0oooo00<00000
0?ooo`0000008P3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0140oooo0P000004
0?ooo`030000003oool0oooo00X0oooo00080?ooo`050000003oool0oooo0000003oool00P00001G
0?ooo`8000008`3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo01<0oooo0P000002
0?ooo`8000002`3oool000L0oooo1P00001I0?ooo`030000003oool0oooo02<0oooo00<000000?oo
o`3oool0603oool00`000000oooo0?ooo`0E0?ooo`D000002P3oool000L0oooo_P0000090?ooo`00
203oool6000005H0oooo00<000000?ooo`0000009@3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo01L0oooo0`00000:0?ooo`002@3oool01@000000oooo0?ooo`000000oooo00800000
D`3oool010000000oooo0?ooo`00000V0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3o
ool05P3oool3000000/0oooo000=0?ooo`030000003oool0oooo00<00000C`3oool01@000000oooo
0?ooo`3oool0000002H0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0000000`0oooo000>0?ooo`030000003oool0oooo0080oooo0P00001<0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo01@0oooo00@000000?ooo`3oool00000303oool000l0oooo00<000000?ooo`3oool0
0`3oool2000004T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0U0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool010000000oooo0?ooo`00000=0?ooo`00
403oool00`000000oooo0?ooo`040?ooo`<00000A@3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo02H0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0B0?ooo`050000
003oool0oooo0?ooo`0000003@3oool00140oooo00<000000?ooo`3oool01P3oool200000480oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool04@3oool01@000000oooo0?ooo`3oool0000000h0oooo000B0?ooo`030000
003oool0oooo00L0oooo0`00000n0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
9P3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0<0?ooo`004`3oool00`000000oooo0?ooo`090?ooo`800000>`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0503o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03@3o
ool001@0oooo00<000000?ooo`3oool02P3oool3000003L0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo000E0?ooo`030000003oool0oooo
00`0oooo0P00000d0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0:03oool00`00
0000oooo0?ooo`0C0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0=0?ooo`005P3oool00`000000oooo0?ooo`0=0?ooo`800000<@3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool04`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03P3oool001L0oooo
00<000000?ooo`3oool03P3oool3000002d0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0X0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00h0oooo000H0?ooo`030000003oool0oooo0100oooo0P00
000Z0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?oo
o`0B0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0?0?ooo`006@3oool00`000000oooo0?ooo`0A0?ooo`<000009P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool03`3oool001X0oooo00<000000?oo
o`3oool04`3oool2000002<0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0Z0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00l0oooo000K0?ooo`030000003oool0oooo01@0oooo0`00000O0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0@0?ooo`00
703oool00`000000oooo0?ooo`0F0?ooo`800000703oool00`000000oooo0?ooo`0@0?ooo`030000
003oool0oooo02X0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0403oool001d0oooo00<000000?ooo`3oool05`3o
ool2000001T0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0[0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo0140oooo000N0?ooo`030000003oool0oooo01P0oooo0`00000E0?ooo`030000003oool0
oooo0180oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0A0?ooo`007`3oool00`00
0000oooo0?ooo`0J0?ooo`8000004P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool04P3oool00200oooo00<000000?ooo`3oool06`3oool3000000h0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0180
oooo000Q0?ooo`030000003oool0oooo01d0oooo0P00000;0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0>0?ooo`050000003oool0oooo0?ooo`00
00003@3oool00`000000oooo0?ooo`0B0?ooo`008P3oool00`000000oooo0?ooo`0N0?ooo`<00000
1`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0
3P3oool010000000oooo0?ooo`00000=0?ooo`030000003oool0oooo01<0oooo000S0?ooo`030000
003oool0oooo0200oooo0P0000040?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0
;@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0000000h0oooo00<000000?ooo`3oool0
4`3oool002@0oooo00<000000?ooo`3oool08@3oool2000000030?ooo`000000oooo01T0oooo00<0
00000?ooo`3oool0;P3oool00`000000oooo0?ooo`0=0?ooo`8000003P3oool00`000000oooo0?oo
o`0D0?ooo`009@3oool00`000000oooo0?ooo`0R0?ooo`<000006@3oool00`000000oooo0?ooo`0^
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0D
0?ooo`009P3oool00`000000oooo0?ooo`0P0?ooo`040000003oool0oooo0?ooo`8000005`3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00/0oooo0P00000?0?ooo`030000003oool0
oooo01@0oooo000W0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0103oool30000
01@0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool00000
00h0oooo00<000000?ooo`3oool05@3oool002P0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`080?ooo`8000004P3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00T0
oooo00@000000?ooo`3oool000003P3oool00`000000oooo0?ooo`0E0?ooo`00:@3oool00`000000
oooo0?ooo`0J0?ooo`030000003oool0oooo00/0oooo0`00000?0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?oo
o`3oool05P3oool002X0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0?0?ooo`80
00003@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01H0oooo000[0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool04P3oool2000000/0oooo00<000000?ooo`3oool0
<@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0G0?ooo`00;03oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo01D0oooo0`0000080?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool05`3o
ool002d0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0I0?ooo`8000001P3oool0
0`000000oooo0?ooo`0a0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01L0oooo000^0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0703oool3000000<0oooo00<000000?ooo`3oool0<P3oool01000
0000oooo0?ooo`0000080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0603oool0
02l0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0P0?ooo`80000000<0oooo0000
003oool0<`3oool00`000000oooo000000090?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0603oool00300oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0S0?ooo`<0
0000=03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool06@3oool00340oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0U0?ooo`040000
003oool0000000000340oooo0P00000:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool06@3oool00380oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0V0?ooo`040000
003oool0oooo0?ooo`800000;P3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool06@3oool003<0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0W0?ooo`030000003oool0oooo00<0oooo0`00000Z0?ooo`050000003oool0oooo0?oo
o`0000002@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo000d0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`060?ooo`80
00009`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0J0?ooo`00=@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo02T0oooo00<000000?ooo`3oool0203oool3000002<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
6`3oool003H0oooo00@000000?ooo`3oool00000;03oool00`000000oooo0?ooo`0;0?ooo`800000
803oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`0K0?ooo`00=`3oool2000002d0oooo00<000000?ooo`3oool03@3o
ool3000001`0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool06`3oool003L0oooo0P00000]0?ooo`030000003oool0
oooo0100oooo0P00000I0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo01`0oooo000f0?ooo`040000003oool0oooo
000002`0oooo00<000000?ooo`3oool04P3oool2000001H0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0703oool0
03D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo
01@0oooo0`00000B0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo01d0oooo000d0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`0G0?ooo`8000003`3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0M0?ooo`00<`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo02L0oooo
00<000000?ooo`3oool06@3oool3000000/0oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool00380oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo01`0oooo0P00
00080?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo01h0oooo000a0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool09@3oool00`000000oooo0?ooo`0N0?ooo`<00000103oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0N
0?ooo`00<03oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo02@0oooo00<000000?oo
o`3oool08@3oool2000000030?ooo`000000oooo01<0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo01l0oooo000N0?ooo`<000003P3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool08`3oool2000001@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01l0
oooo000Q0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool00`00000B0?ooo`050000
003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`0P0?ooo`008@3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool08@3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo00@0oooo0P00000@0?ooo`050000003oool0oooo0?ooo`00
00000`3oool00`000000oooo0?ooo`0P0?ooo`007`3oool2000000/0oooo00<000000?ooo`3oool0
503oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
1`3oool3000000h0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0P0?ooo`00
8@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00/0oooo0P00000<0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool08@3oool001h0oooo0`0000090?ooo`030000
003oool0oooo01P0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0N0?ooo`030000
003oool0oooo00h0oooo0`0000090?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool08@3oool002T0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0M0?ooo`030000
003oool0oooo01d0oooo00<000000?ooo`3oool04P3oool2000000P0oooo00D000000?ooo`000000
oooo0000000T0?ooo`00:03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo01`0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0E0?ooo`8000001P3oool01@000000oooo
0000003oool0000002@0oooo000W0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0
6`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo01P0oooo0`0000040?ooo`<00000
9@3oool002H0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool0703oool200000080oooo0`00000U0?ooo`008`3oool3
000002@0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0
oooo01l0oooo1@00000U0?ooo`008P3oool4000002D0oooo00<000000?ooo`3oool0603oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo0280oooo1000000T0?ooo`008P3oool4000002H0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0280
oooo1@00000T0?ooo`008`3oool3000002L0oooo00<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo02@0oooo0`00000U0?ooo`00903oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`0K0?ooo`<00000203oool00`000000oooo0?ooo`0T0?ooo`00C`3oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0^
0?ooo`00D03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool07P3oool00`000000oooo0?ooo`0^0?ooo`00D@3oool00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo0180oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0^0?ooo`00
DP3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0
803oool00`000000oooo0?ooo`0^0?ooo`00D`3oool00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0803oool200000300oooo001D0?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`1C0?ooo`00E@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0E03oool005H0
oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo05D0
oooo001G0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000oooo
0?ooo`1F0?ooo`00F03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<0
00000?ooo`3oool0E`3oool005T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo05P0oooo001J0?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`1I0?ooo`00F`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0FP3oool005`0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo05/0oooo001M0?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1L0?ooo`00GP3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0G@3oool0
05l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
05h0oooo001P0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`1O0?ooo`00H@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0H03oool00680oooo00D000000?ooo`3oool0oooo000000030?ooo`030000
003oool0oooo0640oooo001K0?ooo`@00000103oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo0680oooo001L0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`000000oooo
0000001U0?ooo`00G@3oool00`000000oooo0?ooo`050?ooo`<00000IP3oool005h0oooo00<00000
0?ooo`3oool00`3oool3000006L0oooo001K0?ooo`040000003oool0oooo000000@0oooo1@00001V
0?ooo`00G03oool2000000H0oooo0`00001W0?ooo`00I@3oool00`000000oooo0?ooo`1V0?ooo`00
cP3oool00<h0oooo003>0?ooo`00cP3oool00<h0oooo003>0?ooo`00cP3oool00<h0oooo003>0?oo
o`00cP3oool00001\
\>"],
  ImageRangeCache->{{{0, 205}, {205, 0}} -> {114.999, 3.99897, 1.00489, 
  1.00489}}],

Cell["\<\
A rat is put into room 8 and begins a search for food that's \
located in room 3.  From any room the rat has equal chance of going next to \
each of the rooms connected by a line.  So starting from room 8 the rat has a \
 1 in 5 chance of going to each of the rooms 1,2,4,5,7. \
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"If the rat goes to room 1, then it has a 1 in 4 chance of visiting each of \
the rooms 4,6,7,8 as its next stop. "], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a) Write a function ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["nextStop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " which randomly selects the next room that the rat will visit if it is \
currently the room given by the argument.  (For instance, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["nextStop[8]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " should have a 1 in 5 chance of outputting each of 1,2,4,5,7.)  ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "There is one exception:  Once the rat gets to the food she stays there so \
\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["nextStop[3]=3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  In designing your function, you might want to use the definitions of \
\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["roomList",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" given below.  For each room \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["i",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["roomList[i]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" gives the list of possible next rooms.  \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["nextStop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" should select one of these rooms at random.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) Use the function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FixedPointList[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" to see how long it takes the rat to get to the food starting from room \
8.  Compute an average over 100 trials. ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"(c) Find the average time it takes the rat if it starts in room 2.  "], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"(d) Compute averages starting from each of the 7 rooms (not including 3) to \
decide from which room the rat is likely to get to food most quickly."], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(* supplied code *)",
    AspectRatioFixed->True,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox[
  "\nroomList[1]={4,6,7,8};\nroomList[2]={4,6,8};\nroomList[3]={3};\n\
roomList[4]={1,2,6,7,8};\nroomList[5]={7,8};\nroomList[6]={1,2,4};\n\
roomList[7]={1,3,4,5,8};\nroomList[8]={1,2,4,5,7};",
    AspectRatioFixed->True]
}], "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[
"Part B (Individually Pledged):  Polynomial Operations"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Write a set of four functions for manipulating functions as if they were \
polynomial coefficients, as shown in the following examples:"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["polyform[{1,2,3,4},x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["1+2x+3x^2+4x^3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["polyadd[{1,2,-3},{4,-2,6,7,8}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{5,0,3,7,8}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["polysub[{1,2,7,4},{3,1,4,4}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{-2,1,3}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["polymult[{1,2,4},{a,b,c}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{a,2a+b,4a+2b+c,4b+2c,4c}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Note that zeros at the end of a list should not occur, unless the list is \
a single zero (\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{0}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\") and that coefficient lists of different lengths can be used by any of \
the functions.  Use pattern restrictions; do not simply convert to \
polynomials, perform the designated operations, and extract coefficients!",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{720, 571},
WindowMargins->{{29, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@>7Zo0000000000060H01T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 84, 2, 98, "Title",
  Evaluatable->False],
Cell[1826, 55, 98, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1949, 61, 156, 4, 77, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2130, 69, 113, 2, 50, "Section",
  Evaluatable->False],
Cell[2246, 73, 182, 4, 30, "Text",
  Evaluatable->False],
Cell[2431, 79, 42784, 995, 214, 12487, 616, "GraphicsData", "PostScript", \
"Graphics"],
Cell[45218, 1076, 349, 7, 46, "Text",
  Evaluatable->False],
Cell[45570, 1085, 188, 4, 30, "Text",
  Evaluatable->False],
Cell[45761, 1091, 711, 23, 46, "Text",
  Evaluatable->False],
Cell[46475, 1116, 1292, 45, 62, "Text",
  Evaluatable->False],
Cell[47770, 1163, 463, 15, 46, "Text",
  Evaluatable->False],
Cell[48236, 1180, 146, 4, 30, "Text",
  Evaluatable->False],
Cell[48385, 1186, 225, 5, 46, "Text",
  Evaluatable->False],
Cell[48613, 1193, 385, 10, 147, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[49035, 1208, 131, 3, 30, "Section",
  Evaluatable->False],
Cell[49169, 1213, 210, 4, 30, "Text",
  Evaluatable->False],
Cell[49382, 1219, 1583, 59, 78, "Text",
  Evaluatable->False],
Cell[50968, 1280, 625, 18, 62, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

