(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      4075,        116]*)
(*NotebookOutlinePosition[      5106,        149]*)
(*  CellTagsIndexPosition[      5062,        145]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Project 7", "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  April 23 1999", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell["(Individually Pledged):  Grade Manager", "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Your final project is to write a package which could serve as a student's \
grade manager.  \n\nAs the final project for our course, your package should \
contain several elements:  \n\n(a) judicious comments; \n(b) usage lines; \n\
(c) type checking for functions;\n(d) separate public and private data and \
functions; \n(e) file storage and retrieval.  \n   \nYour package should \
contain functions which permit\n\n(i) initialization; \n(ii) reading data \
from a file;\n(iii) printing current grades;\n(iv) adding a grade;\n(v) \
deleting a grade;\n(vi) finding averages;\n(vii) storing data to a file.\n\n\
You must decide what sorts of data the package will keep---whether numeric \
grades, letter grades, or some combination; whether to include bookkeeping \
data in addition to the grades themselves---such as test numbers, dates of \
tests, and/or weights of the various grades; whether to permit computing \
averages assuming some number of grades are dropped at the end of the course; \
and so on.  You are encouraged to implement ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["and document",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontVariations->{"Underline"->True}],
  StyleBox[
  " some of these extensions.  A project which has no \
extensions\[LongDash]uses only numeric grades, has no additional data or \
functions besides those required in (i)\[Dash](vii) above, and which \
satisfies (a)\[Dash](e) above\[LongDash]is hoping for grade of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["B",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" at best.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{28, Automatic}, {30, Automatic}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 74, 2, 98, "Title",
  Evaluatable->False],
Cell[1808, 55, 98, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1931, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2112, 69, 105, 2, 50, "Section",
  Evaluatable->False],
Cell[2220, 73, 1815, 38, 463, "Text",
  Evaluatable->False]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

